/* original parser id follows */
/* yysccsid[] = "@(#)yaccpar	1.9 (Berkeley) 02/21/93" */
/* (use YYMAJOR/YYMINOR for ifdefs dependent on parser version) */

#define YYBYACC 1
#define YYMAJOR 1
#define YYMINOR 9
#define YYPATCH 20150711

#define YYEMPTY        (-1)
#define yyclearin      (yychar = YYEMPTY)
#define yyerrok        (yyerrflag = 0)
#define YYRECOVERING() (yyerrflag != 0)
#define YYENOMEM       (-2)
#define YYEOF          0
#define YYPREFIX "yy"

#define YYPURE 0

#line 2 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
/*
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License, Version 1.0 only
 * (the "License").  You may not use this file except in compliance
 * with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 */
/*
 * Copyright (c) 2013 by Delphix. All rights reserved.
 * Copyright (c) 2013, Joyent, Inc. All rights reserved.
 */

#include <dt_impl.h>

#define	OP1(op, c)	dt_node_op1(op, c)
#define	OP2(op, l, r)	dt_node_op2(op, l, r)
#define	OP3(x, y, z)	dt_node_op3(x, y, z)
#define	LINK(l, r)	dt_node_link(l, r)
#define	DUP(s)		strdup(s)

#line 41 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
#ifdef YYSTYPE
#undef  YYSTYPE_IS_DECLARED
#define YYSTYPE_IS_DECLARED 1
#endif
#ifndef YYSTYPE_IS_DECLARED
#define YYSTYPE_IS_DECLARED 1
typedef union {
	dt_node_t *l_node;
	dt_decl_t *l_decl;
	char *l_str;
	uintmax_t l_int;
	int l_tok;
} YYSTYPE;
#endif /* !YYSTYPE_IS_DECLARED */
#line 74 "dt_grammar.c"

/* compatibility with bison */
#ifdef YYPARSE_PARAM
/* compatibility with FreeBSD */
# ifdef YYPARSE_PARAM_TYPE
#  define YYPARSE_DECL() yyparse(YYPARSE_PARAM_TYPE YYPARSE_PARAM)
# else
#  define YYPARSE_DECL() yyparse(void *YYPARSE_PARAM)
# endif
#else
# define YYPARSE_DECL() yyparse(void)
#endif

/* Parameters sent to lex. */
#ifdef YYLEX_PARAM
# define YYLEX_DECL() yylex(void *YYLEX_PARAM)
# define YYLEX yylex(YYLEX_PARAM)
#else
# define YYLEX_DECL() yylex(void)
# define YYLEX yylex()
#endif

/* Parameters sent to yyerror. */
#ifndef YYERROR_DECL
#define YYERROR_DECL() yyerror(const char *s)
#endif
#ifndef YYERROR_CALL
#define YYERROR_CALL(msg) yyerror(msg)
#endif

extern int YYPARSE_DECL();

#define DT_TOK_COMMA 257
#define DT_TOK_ELLIPSIS 258
#define DT_TOK_ASGN 259
#define DT_TOK_ADD_EQ 260
#define DT_TOK_SUB_EQ 261
#define DT_TOK_MUL_EQ 262
#define DT_TOK_DIV_EQ 263
#define DT_TOK_MOD_EQ 264
#define DT_TOK_AND_EQ 265
#define DT_TOK_XOR_EQ 266
#define DT_TOK_OR_EQ 267
#define DT_TOK_LSH_EQ 268
#define DT_TOK_RSH_EQ 269
#define DT_TOK_QUESTION 270
#define DT_TOK_COLON 271
#define DT_TOK_LOR 272
#define DT_TOK_LXOR 273
#define DT_TOK_LAND 274
#define DT_TOK_BOR 275
#define DT_TOK_XOR 276
#define DT_TOK_BAND 277
#define DT_TOK_EQU 278
#define DT_TOK_NEQ 279
#define DT_TOK_LT 280
#define DT_TOK_LE 281
#define DT_TOK_GT 282
#define DT_TOK_GE 283
#define DT_TOK_LSH 284
#define DT_TOK_RSH 285
#define DT_TOK_ADD 286
#define DT_TOK_SUB 287
#define DT_TOK_MUL 288
#define DT_TOK_DIV 289
#define DT_TOK_MOD 290
#define DT_TOK_LNEG 291
#define DT_TOK_BNEG 292
#define DT_TOK_ADDADD 293
#define DT_TOK_SUBSUB 294
#define DT_TOK_PREINC 295
#define DT_TOK_POSTINC 296
#define DT_TOK_PREDEC 297
#define DT_TOK_POSTDEC 298
#define DT_TOK_IPOS 299
#define DT_TOK_INEG 300
#define DT_TOK_DEREF 301
#define DT_TOK_ADDROF 302
#define DT_TOK_OFFSETOF 303
#define DT_TOK_SIZEOF 304
#define DT_TOK_STRINGOF 305
#define DT_TOK_XLATE 306
#define DT_TOK_LPAR 307
#define DT_TOK_RPAR 308
#define DT_TOK_LBRAC 309
#define DT_TOK_RBRAC 310
#define DT_TOK_PTR 311
#define DT_TOK_DOT 312
#define DT_TOK_STRING 313
#define DT_TOK_IDENT 314
#define DT_TOK_PSPEC 315
#define DT_TOK_AGG 316
#define DT_TOK_TNAME 317
#define DT_TOK_INT 318
#define DT_KEY_AUTO 319
#define DT_KEY_BREAK 320
#define DT_KEY_CASE 321
#define DT_KEY_CHAR 322
#define DT_KEY_CONST 323
#define DT_KEY_CONTINUE 324
#define DT_KEY_COUNTER 325
#define DT_KEY_DEFAULT 326
#define DT_KEY_DO 327
#define DT_KEY_DOUBLE 328
#define DT_KEY_ELSE 329
#define DT_KEY_ENUM 330
#define DT_KEY_EXTERN 331
#define DT_KEY_FLOAT 332
#define DT_KEY_FOR 333
#define DT_KEY_GOTO 334
#define DT_KEY_IF 335
#define DT_KEY_IMPORT 336
#define DT_KEY_INLINE 337
#define DT_KEY_INT 338
#define DT_KEY_LONG 339
#define DT_KEY_PROBE 340
#define DT_KEY_PROVIDER 341
#define DT_KEY_REGISTER 342
#define DT_KEY_RESTRICT 343
#define DT_KEY_RETURN 344
#define DT_KEY_SELF 345
#define DT_KEY_SHORT 346
#define DT_KEY_SIGNED 347
#define DT_KEY_STATIC 348
#define DT_KEY_STRING 349
#define DT_KEY_STRUCT 350
#define DT_KEY_SWITCH 351
#define DT_KEY_THIS 352
#define DT_KEY_TYPEDEF 353
#define DT_KEY_UNION 354
#define DT_KEY_UNSIGNED 355
#define DT_KEY_USERLAND 356
#define DT_KEY_VOID 357
#define DT_KEY_VOLATILE 358
#define DT_KEY_WHILE 359
#define DT_KEY_XLATOR 360
#define DT_TOK_EPRED 361
#define DT_CTX_DEXPR 362
#define DT_CTX_DPROG 363
#define DT_CTX_DTYPE 364
#define DT_TOK_EOF 0
#define YYERRCODE 256
typedef int YYINT;
static const YYINT yylhs[] = {                           -1,
    0,    0,    0,    1,    1,    2,    2,    3,    3,    4,
    4,    5,    5,    5,    5,    5,   66,    6,    7,    7,
    8,    8,    9,   10,   10,   11,   11,   12,   12,   13,
   13,   13,   13,   14,   15,   15,   16,   16,   17,   17,
   18,   18,   60,   60,   59,   59,   59,   59,   59,   59,
   59,   58,   58,   58,   58,   58,   58,   58,   58,   58,
   58,   58,   58,   58,   58,   58,   58,   57,   57,   57,
   57,   57,   57,   57,   62,   62,   62,   62,   62,   62,
   56,   56,   55,   55,   55,   55,   54,   54,   54,   53,
   53,   53,   52,   52,   52,   52,   52,   51,   51,   51,
   50,   50,   49,   49,   48,   48,   47,   47,   46,   46,
   45,   45,   44,   43,   43,   42,   42,   61,   61,   61,
   61,   61,   61,   61,   61,   61,   61,   61,   41,   41,
   19,   19,   65,   65,   65,   65,   65,   65,   68,   68,
   68,   68,   68,   68,   69,   69,   69,   69,   69,   67,
   67,   67,   22,   22,   22,   22,   22,   22,   22,   22,
   22,   22,   22,   22,   22,   22,   23,   23,   23,   24,
   24,   24,   70,   70,   70,   63,   63,   71,   71,   20,
   20,   21,   72,   25,   25,   25,   25,   73,   73,   74,
   74,   74,   26,   26,   26,   75,   75,   75,   76,   76,
   77,   77,   27,   27,   28,   28,   28,   28,   78,   29,
   29,   29,   29,   30,   30,   34,   34,   34,   35,   35,
   36,   36,   36,   31,   31,   32,   32,   32,   33,   33,
   33,   33,   33,   79,   37,   38,   38,   38,   80,   39,
   40,   40,   64,   64,   64,   64,   64,   64,   64,   64,
};
static const YYINT yylen[] = {                            2,
    2,    2,    2,    1,    2,    1,    2,    1,    2,    1,
    2,    1,    1,    1,    1,    1,    0,    7,   10,    9,
    1,    2,    4,    6,    5,    1,    2,    6,    4,    1,
    4,    4,    7,    1,    1,    3,    1,    1,    1,    3,
    0,    1,    1,    3,    1,    1,    1,    1,    1,    1,
    3,    1,    4,    3,    4,    3,    3,    3,    3,    3,
    3,    2,    2,    6,    6,    6,    7,    1,    2,    2,
    2,    2,    4,    2,    1,    1,    1,    1,    1,    1,
    1,    4,    1,    3,    3,    3,    1,    3,    3,    1,
    3,    3,    1,    3,    3,    3,    3,    1,    3,    3,
    1,    3,    1,    3,    1,    3,    1,    3,    1,    3,
    1,    3,    1,    1,    5,    1,    3,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    3,
    2,    3,    1,    2,    1,    2,    1,    2,    1,    2,
    1,    2,    1,    2,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
    1,    1,    1,    1,    1,    1,    1,    1,    1,    3,
    2,    2,    2,    3,    3,    1,    1,    1,    2,    1,
    3,    1,    3,    1,    2,    1,    2,    1,    3,    1,
    2,    3,    3,    2,    2,    2,    3,    3,    1,    3,
    1,    3,    1,    2,    1,    3,    2,    2,    1,    1,
    2,    2,    3,    1,    2,    1,    1,    3,    1,    3,
    1,    2,    2,    1,    2,    1,    1,    2,    3,    2,
    1,    2,    1,    0,    4,    0,    1,    1,    0,    4,
    0,    1,    1,    1,    1,    1,    1,    1,    1,    1,
};
static const YYINT yydefred[] = {                         0,
    0,    0,    0,    0,    0,    0,    0,   75,   77,   78,
   76,   80,   79,    0,    0,    0,    0,    0,    0,    0,
   48,   45,   46,   47,   49,   50,    0,  129,  116,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   83,    0,    0,   52,    0,   37,  164,   38,  145,  154,
  167,  159,    0,  148,  158,    0,  156,  157,    0,  146,
  168,  151,  155,  160,  147,  163,  176,  152,  149,  177,
  161,  162,  153,  169,    0,    0,   10,   12,   13,   14,
   15,    0,    0,   35,   16,    0,    0,  165,  166,    0,
    0,    0,  150,    0,    0,    0,    0,    0,    9,    1,
    2,    3,    0,   69,   70,    0,    0,   72,   74,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,  118,  122,  123,  119,  120,  121,  126,
  127,  128,  124,  125,    0,   62,   63,    0,    0,    0,
    0,   71,   81,    0,    0,  196,    0,    0,    0,   11,
    0,    0,    0,  136,  138,    0,    0,  173,    0,  209,
  205,  131,    0,  180,  182,    0,    0,    0,  134,    0,
    0,  178,    0,    0,  199,  185,  187,    0,  234,    0,
  225,    0,  231,  233,    0,    0,    0,    0,    0,   51,
  130,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,   84,   85,
   86,  117,   54,   43,    0,    0,  247,  249,   59,   60,
  243,  244,  245,  246,  248,  250,   61,   56,   57,   58,
  197,  198,   17,    0,    0,    0,    0,   39,    0,   36,
  174,  175,  214,  212,    0,    0,  132,  239,  207,  208,
    0,    0,    0,    0,    0,  188,  170,  179,    0,    0,
  193,    0,    0,    0,  230,  232,    0,    0,   73,    0,
   82,    0,    0,   55,   53,    0,    0,    0,    0,   26,
    0,    0,    0,   31,  215,  213,  181,  206,  113,  191,
    0,    0,  183,  202,  200,  217,    0,    0,  242,    0,
  219,    0,    0,    0,  238,    0,  237,  229,    0,    0,
    0,    0,  115,   44,    0,    0,   25,    0,   27,    0,
    0,   40,  192,  189,  142,  144,    0,  240,  222,    0,
  223,    0,  140,  235,   64,   65,   66,    0,    0,    0,
   24,    0,    0,  218,  220,   67,   18,    0,   29,    0,
   33,    0,    0,    0,    0,   21,   28,    0,   20,    0,
   22,    0,   19,   23,
};
static const YYINT yydgoto[] = {                          4,
    5,    6,    7,   76,   77,   78,   79,  365,  366,   80,
  289,  290,   81,   82,   83,   84,  247,  248,   85,  173,
  174,   96,   97,   88,   98,   89,  175,  176,  177,  255,
   99,  277,  192,  309,  310,  311,  193,  316,  194,  312,
  112,   28,   29,  300,   30,   31,   32,   33,   34,   35,
   36,   37,   38,   39,   40,   41,  153,   43,   44,  225,
  145,   45,   90,  237,   91,  286,   92,  313,   93,   94,
  181,  182,  265,  266,   95,  184,  185,  178,  273,  272,
};
static const YYINT yysindex[] = {                      -164,
 1971, 2059, 2143,    0,   44,   71,   80,    0,    0,    0,
    0,    0,    0, 2014, 2014, -212, 2047, 2014, -147, 1864,
    0,    0,    0,    0,    0,    0, -119,    0,    0, -145,
 -117,  -95, -134, -104,  -84, -193,  -94, -175, -141,  -25,
    0,  962,  316,    0, 1971,    0,    0,    0,    0,    0,
    0,    0, -102,    0,    0, 2101,    0,    0, -123,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 2143, 2059,    0,    0,    0,    0,
    0,  -97,  -74,    0,    0, 2101, 2101,    0,    0, -100,
  -57, 2101,    0, 2143, -118, 2143, 2143, -133,    0,    0,
    0,    0, 1971,    0,    0, 2143, 1864,    0,    0, 2143,
 -105, -221, 1971, 1971, 1971, 1971, 1971, 1971, 1971, 1971,
 1971, 1971, 1971, 1971, 1971, 1971, 1971, 1971, 1971, 1971,
 1971, 1971, 1971,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0, 1971,    0,    0, 1938, 1971,  953,
  990,    0,    0,   82,   85,    0, -210,  106,  -42,    0,
 1971, 1971, -249,    0,    0,  117,  125,    0, -247,    0,
    0,    0,  -53,    0,    0, -138, -216, -210,    0, -207,
 1489,    0,  -10,  -92,    0,    0,    0,    0,    0, -127,
    0, -138,    0,    0, -133,    9,  -38,  -31, 1971,    0,
    0, -192, -117,  -95, -134, -104,  -84, -193,  -94,  -94,
 -175, -175, -175, -175, -141, -141,  -25,  -25,    0,    0,
    0,    0,    0,    0, -180, -195,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, -120, 2143, -219,   -6,    0, -119,    0,
    0,    0,    0,    0, -247, -210,    0,    0,    0,    0,
 -138,  -24, 1971,   12,  -51,    0,    0,    0, 1971, -118,
    0, 1748, 1644, -138,    0,    0,  -14, 1196,    0,  -16,
    0, 1971, 1971,    0,    0,   34,  -19,  237, -115,    0,
  -12,  174, 1971,    0,    0,    0,    0,    0,    0,    0,
 1971, -207,    0,    0,    0,    0, 2101, 2101,    0,   42,
    0,    1, -215, 2101,    0,   -7,    0,    0,    2,    3,
    5, 1971,    0,    0, 1971,   -9,    0,  246,    0,   25,
 1971,    0,    0,    0,    0,    0, 1790,    0,    0, -239,
    0, -215,    0,    0,    0,    0,    0, -169,  249,  -39,
    0,  193,   -5,    0,    0,    0,    0,   -9,    0, -103,
    0,  258,   59,  260,  -90,    0,    0, 1971,    0,  263,
    0,  267,    0,    0,
};
static const YYINT yyrindex[] = {                         0,
  327,  328,  368,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  369,    0,    0,  241,
 1012,   15,  945,  884,  195,    4,  781,  546,  364,  164,
    0,  114,   72,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,  370,    0,    0,    0,    0,
    0, 1090, 1044,    0,    0,  491,  691,    0,    0,    0,
    0,  785,    0,    0,    0,  202,  633,  428,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0, 1241, 1321,    0,    0,    0,    0,    0,
    0,   -3,    0,    0,    0, 1441, 1543,    0,  290,    0,
    0,    0,    0,    0,    0,  -50,    0,    0,    0,    0,
    0,    0,  -91,    0,    0,    0,    0, 1696,    0,  496,
    0,  150,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0, 1018, 1008,  963,  938,  877,  247,  830,  853,
  592,  652,  713,  754,  419,  486,  256,  304,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,   -2,    0,
    0,    0,    0,    0,  425,    0,    0,    0,    0,    0,
  -41,    0,    0,  -35,    0,    0,    0,    0,    0,    0,
    0,   66,   65,  373,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0, 1136,   -3,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0, -156,  527,    0, -151,
    0,    0, -205,  889,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
   -3,    0,    0,    0,    0,    0,    0,    0,    0, -173,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,
};
static const YYINT yygindex[] = {                         0,
    0,    0,    0,    0,  301,    0,    0,    0,   13,    0,
    0,   90,    0,    0,    0,  220,   74,  113,    0,    0,
  152,  407, 1632,    0,  -47,    0, -132, -150,  -87,    0,
  -17,  -86, -162,  137,    0,   75, -131,    0, -125,    0,
  300, -106,  -88, -218,    0,  296,  297,  298,  299,  307,
  311,   41,  111,  115,  116,  -15,   -1,    0,    0,  269,
    0,    0,    0, -111,  -55,    0,    0,    0, -213,    0,
    0,  235,    0,  118,    0,    0,  157,  -69,    0,    0,
};
#define YYTABLESIZE 2501
static const YYINT yytable[] = {                         42,
  157,  172,  111,  101,  288,  257,  201,  303,  203,  328,
  190,  191,  104,  105,  109,  108,  109,  204,   42,  359,
  156,  364,  168,  190,  243,  162,  261,  274,  195,  152,
  164,  165,  271,  201,  370,  113,  179,  113,  222,  240,
  169,  224,  224,  100,  259,  262,  180,  264,  186,  187,
  260,  221,  293,  293,  317,   41,   42,  159,  314,  314,
  275,  283,  101,  263,  113,   46,  276,  188,   48,  189,
  101,   68,  169,  109,  171,   51,  283,  169,  282,  102,
  169,  254,  333,  226,  121,  122,  200,  113,  196,  197,
  170,  188,  198,  189,  106,   61,  170,  171,  171,  170,
  141,   42,  221,  171,  221,   42,  171,  190,  127,  128,
   74,   42,   42,   81,  285,  219,  220,  221,  294,  361,
  195,   41,   42,  314,  114,  195,  115,  284,  101,  259,
   68,  141,  110,  180,  226,  260,  226,  113,  356,  109,
  118,  292,  275,   42,  129,  130,   42,   42,  276,  227,
  141,  141,  141,  141,  169,  116,  216,  141,  216,   42,
   42,  209,  210,   87,  270,  201,  321,  296,  258,  264,
  189,  119,   81,  188,  299,  189,  324,  274,  117,  188,
  339,  189,  163,  281,  299,  123,  124,  125,  126,  261,
  158,  161,  120,  323,  103,  183,   68,    1,    2,    3,
  350,  184,  199,  256,  241,  302,  203,  242,  203,  262,
  363,  154,  299,  166,  155,  204,  167,  204,  349,  287,
  203,  190,   87,  363,  287,  340,  341,  291,  244,  204,
  169,  358,  362,  211,  212,  213,  214,  245,   81,  251,
  114,  215,  216,  342,  217,  218,  102,  252,  269,  170,
  280,  335,  336,  103,  340,   88,  171,  203,  343,  203,
  101,  372,  131,  132,  133,  278,  204,   42,  204,  279,
  342,  109,  342,  101,  101,  101,  101,  101,  101,  101,
  101,   42,  301,  298,  109,  109,  109,  109,   87,  210,
  322,   42,  325,  318,  326,  327,  331,  258,  337,  114,
   27,  330,  344,   89,  351,  102,  352,  357,  338,  345,
  346,  101,  347,  101,   88,  360,  367,  368,  369,  103,
   42,  373,  109,   42,  109,  374,    4,    6,   68,   42,
   68,   68,   68,   68,   68,   68,   68,   68,   68,   68,
   68,   68,   68,   68,   68,   68,   68,   68,   68,   68,
   68,   68,   68,   68,   68,   68,   68,   68,   68,   68,
   68,   68,   89,   90,  101,  114,   42,    8,    5,    7,
   81,  102,  228,  241,  236,  109,  160,  371,  329,   68,
   88,   68,  250,   81,   81,   81,   81,   81,   81,   81,
   81,   81,   81,   81,   81,   81,   81,   81,   81,   81,
   81,   81,   81,   81,  353,  332,  227,  297,   86,  315,
  203,  355,  204,  202,  205,  268,  206,  226,   91,  334,
   87,   81,   90,   81,  211,  207,  305,  224,   89,  227,
  208,  227,   68,   87,   87,   87,   87,   87,   87,   87,
   87,   87,   87,   87,   87,   87,   87,   87,   87,   87,
   87,  103,    0,    0,    0,    0,    0,  227,  184,  227,
  246,  249,   86,  227,  103,  103,  103,  103,  103,  103,
  103,   87,  184,   87,   81,    0,    0,   91,    0,    0,
    0,  184,   86,  184,    0,   92,    0,    0,   90,  184,
    0,    0,   86,   86,    0,  226,    0,  114,   86,    0,
    0,    0,  103,  102,  103,    0,    0,    0,  184,  184,
  184,  114,   88,    0,    0,  184,  102,  102,  102,  102,
  102,  102,  102,  102,   87,   88,   88,   88,   88,   88,
   88,   88,   88,   88,   88,   88,   88,   88,   88,   88,
   88,   88,   88,   91,   92,   93,  210,    0,  114,  135,
  114,    0,    0,    0,  102,  103,  102,    0,    0,    0,
   89,    0,    0,   88,    0,   88,    0,    0,  304,  210,
    0,  210,    0,   89,   89,   89,   89,   89,   89,   89,
   89,   89,   89,   89,   89,   89,   89,   89,   89,   89,
   89,   94,  249,    0,    0,    0,  210,  210,  210,  210,
    0,  114,    0,  210,   93,    0,    0,  102,  146,  147,
   92,   89,    0,   89,    0,    0,   88,    0,    0,    0,
   90,  348,  148,    0,  149,    0,  150,  151,    0,  228,
  249,    0,  186,   90,   90,   90,   90,   90,   90,   90,
   90,   90,   90,   90,   90,   90,   90,   90,   90,    0,
   94,   96,  228,    0,  228,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   89,    0,    0,    0,    0,    0,
   93,   90,    0,   90,    0,   91,    0,    0,  307,  307,
  228,  211,  228,    0,  224,    0,  228,    0,   91,   91,
   91,   91,   91,   91,   91,   91,   91,   91,   91,   91,
   91,   91,   91,   91,  211,    0,  211,  224,    0,  224,
   96,    0,   95,   86,   86,    0,   94,    0,    0,    0,
   86,    0,    0,    0,   90,    0,   91,    0,   91,    0,
    0,  211,  211,  211,  211,  224,    0,    0,  211,    0,
    0,  224,   92,  307,    0,    0,    0,  135,    0,  137,
    0,    0,  226,   97,    0,   92,   92,   92,   92,   92,
   92,   92,   92,   92,   92,   92,   92,   92,   92,   92,
   92,   95,    0,    0,    0,  226,   96,  226,  135,   91,
   98,    0,    0,  143,    0,    0,    0,    0,    0,    0,
    0,    0,    0,   92,    0,   92,    0,  135,  135,  135,
  135,    0,   93,  226,  135,    0,    0,    0,    0,  226,
    0,    0,   97,    0,  143,   93,   93,   93,   93,   93,
   93,   93,   93,   93,   93,   93,   93,   93,   93,   99,
    0,    0,    0,  143,  143,  143,  143,   95,    0,   98,
  143,    0,    0,  133,    0,    0,   92,    0,   94,    0,
    0,    0,  100,   93,    0,   93,    0,    0,    0,    0,
    0,   94,   94,   94,   94,   94,   94,   94,   94,   94,
   94,   94,   94,   94,   94,    0,  104,    0,   97,    0,
    0,    0,    0,  105,    0,    0,    0,    0,   99,  186,
    0,    0,    0,    0,    0,    0,    0,    0,    0,   94,
    0,   94,    0,  186,    0,   98,   93,    0,   96,    0,
    0,  100,  186,    0,  186,    0,    0,    0,    0,    0,
  186,   96,   96,   96,   96,   96,   96,   96,   96,   96,
   96,   96,   96,   96,   96,  104,    0,  106,    0,  186,
  186,  186,  105,    0,  107,    0,  186,  137,    0,    0,
    0,    0,   94,    0,   99,    0,    0,    0,    0,   96,
    0,   96,  108,    0,    0,    0,    0,    0,    0,   95,
    0,    0,    0,    0,    0,    0,    0,  100,  137,    0,
    0,    0,   95,   95,   95,   95,   95,   95,   95,   95,
   95,   95,   95,   95,   95,   95,  106,  137,  137,  137,
  137,  104,    0,  107,  137,    0,    0,  110,  105,    0,
   97,  111,   96,    0,    0,    0,    0,  112,    0,    0,
   95,  108,   95,   97,   97,   97,   97,   97,   97,   97,
   97,   97,   97,   97,   97,   97,   97,   98,    0,    0,
    0,  133,    0,   34,    0,    0,    0,    0,    0,    0,
   98,   98,   98,   98,   98,   98,   98,   98,   98,   98,
    0,   97,  106,   97,    0,    0,  110,    0,    0,  107,
  111,    0,  133,   95,    0,    0,  112,    0,    0,    0,
    0,    0,    0,    0,    0,    0,   99,  108,   98,   30,
   98,  133,  133,  133,  133,    0,    0,    0,  133,   99,
   99,   99,   99,   99,   99,   99,   99,   99,   99,  100,
    0,    0,    0,    0,   97,    0,    0,    0,    0,    0,
    0,    0,  100,  100,  100,  100,  100,  100,  100,  100,
  100,  100,  110,  104,    0,   32,  111,   99,    0,   99,
  105,   98,  112,    0,    0,  139,  104,  104,  104,  104,
  104,  104,  104,  105,  105,  105,  105,  105,  105,    0,
  100,    0,  100,    0,    0,    0,   34,    0,    0,    0,
    0,    0,    0,    0,    0,    0,  139,    0,    0,    0,
    0,    0,    0,    0,  104,    0,  104,    0,    0,    0,
   99,  105,    0,  105,  106,  139,  139,  139,  139,    0,
    0,  107,  139,    0,    0,    0,    0,  106,  106,  106,
  106,  106,  106,  100,  107,  107,  107,  107,  107,  108,
  134,  135,  136,  137,  138,  139,  140,  141,  142,  143,
  144,    0,  108,  108,  108,  108,  108,  104,    0,    0,
  194,    0,    0,    0,  105,  106,    0,  106,    0,    0,
    0,    0,  107,    0,  107,    0,    0,  227,  228,    0,
    0,    0,    0,    0,  110,    0,  229,    0,  111,  230,
  108,    0,  108,    0,  112,    0,    0,  110,  110,  110,
  110,  111,  111,  111,    0,    0,    0,  112,  112,  112,
    0,    0,  231,  232,  227,  228,    0,  233,  106,  194,
    0,  234,    0,  238,    0,  107,  239,    0,  235,    0,
    0,    0,  236,    0,    0,  110,    0,  110,    0,  111,
  195,  111,    0,  108,    0,  112,    0,  112,    0,  231,
  232,    0,   34,    0,  233,    0,    0,    0,  234,    0,
    0,    0,    0,    0,    0,  235,    0,    0,    0,  236,
    0,    0,    0,    0,    0,    0,    0,    0,   34,    0,
   34,   34,   34,    0,    0,   34,   34,    0,  110,    0,
    0,   34,  111,   34,   34,   34,    0,    0,  112,  195,
   34,   34,   34,    0,   34,   34,   34,    0,   34,   34,
   34,   34,   34,   34,    0,   34,   34,   34,   34,   34,
   34,   34,    0,   34,   30,    0,   30,   30,   30,    0,
    0,   30,   30,    0,    0,    0,    0,   30,    0,   30,
   30,   30,    0,    0,    0,    0,   30,   30,   30,    0,
   30,   30,   30,    0,   30,   30,   30,   30,   30,   30,
  171,   30,   30,   30,   30,   30,   30,   30,    0,   30,
   32,    0,   32,   32,   32,    0,    0,   32,   32,    0,
    0,    0,    0,   32,    0,   32,   32,   32,    0,    0,
    0,    0,   32,   32,   32,    0,   32,   32,   32,    0,
   32,   32,   32,   32,   32,   32,    0,   32,   32,   32,
   32,   32,   32,   32,    0,   32,    0,  194,    0,  171,
  227,  228,    0,    0,    0,    0,    0,    0,    0,  319,
    0,  194,  320,    0,    0,    0,    0,    0,    0,    0,
  194,    0,  194,    0,    0,    0,    0,    0,  194,    0,
    0,    0,    0,    0,    0,  231,  232,    0,    0,    0,
  233,    0,  172,    0,  234,    0,    0,  194,  194,  194,
  194,  235,    0,    0,  194,  236,    0,  194,    0,  194,
    0,    0,  194,  194,    0,    0,    0,    0,  194,    0,
  194,  194,  194,    0,    0,    0,    0,  195,  194,  194,
    0,    0,  194,  194,    0,  194,  194,  194,  194,  194,
  194,  195,  194,  194,  194,  194,  194,  194,  194,    0,
  195,  172,  195,    0,    0,    0,    0,    0,  195,    0,
    0,    0,    0,  267,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  195,  195,  195,
  195,    0,    0,   87,  195,    0,    0,  195,    0,  195,
    0,    0,  195,  195,    0,    0,    0,    0,  195,    0,
  195,  195,  195,    0,    0,    0,    0,    0,  195,  195,
    0,    0,  195,  195,    0,  195,  195,  195,  195,  195,
  195,    0,  195,  195,  195,  195,  195,  195,  195,    0,
    0,    0,    0,    0,    0,    0,    0,   87,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  171,    0,    0,
    0,    0,    0,    0,    0,    0,    0,   87,    0,    0,
    0,  171,    0,    0,    0,    0,    0,   87,   87,    0,
  171,    0,  171,   87,    0,    0,    0,    0,  171,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,  171,  171,  171,
  171,    0,    0,    0,  171,    0,    0,  171,    0,  171,
    0,    0,  171,  171,    0,    0,    0,    0,  171,    0,
  171,  171,  171,    0,    0,    0,    0,    0,  171,  171,
    0,    0,  171,  171,    0,  171,  171,  171,  171,  171,
  171,    0,  171,  171,  171,  171,  171,  171,  171,  172,
  253,    0,    0,    0,    0,   47,    0,    0,    0,    0,
   50,   51,    0,  172,    0,    0,   52,    0,   53,    0,
   55,    0,  172,    0,  172,    0,   57,   58,    0,    0,
  172,   61,    0,    0,   63,   64,    0,   66,   67,    0,
    0,    0,   70,   71,   72,   73,   74,    0,    0,  172,
  172,  172,  172,    0,    0,    0,  172,    0,    0,  172,
    0,  172,    0,    0,  172,  172,    0,    0,    0,    0,
  172,    0,  172,  172,  172,    0,    0,    0,    0,    0,
  172,  172,    0,    0,  172,  172,  295,  172,  172,  172,
  172,  172,  172,    0,  172,  172,  172,  172,  172,  172,
  172,  306,    0,  308,  308,    0,    0,    0,    0,    0,
    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
    8,    0,    0,    0,    0,    0,    0,    0,    0,    9,
   10,   11,    0,    0,   12,   13,   14,   15,   87,   87,
    0,    0,    0,    0,    0,   87,   16,   17,   18,   19,
   20,    0,    0,  239,    0,    0,   21,   22,    0,   23,
   47,   24,   49,    0,    0,   50,   51,    0,  308,    0,
    0,   52,    0,   53,   54,   55,    0,    0,    0,    0,
    0,   57,   58,  209,    0,   60,   61,    0,   25,   63,
   64,   65,   66,   67,    0,   26,   69,   70,   71,   72,
   73,   74,  209,  239,  209,  306,    0,    0,    0,  209,
    0,    0,  239,    0,  239,    0,    0,  239,  239,    0,
    0,    0,    0,  239,    0,  239,  239,  239,    0,    0,
    0,    0,    0,  239,  239,    0,    0,  239,  239,    0,
    0,  239,  239,  239,  239,  239,    0,  354,  239,  239,
  239,  239,  239,  239,    0,    0,    0,    0,    0,    0,
    0,    0,    0,    0,   47,    0,   49,    0,    0,   50,
   51,    0,    0,    0,    0,   52,    0,   53,   54,   55,
    0,    0,    0,    0,    0,   57,   58,    0,    0,   60,
   61,    0,    0,   63,   64,   65,   66,   67,    0,    0,
   69,   70,   71,   72,   73,   74,   47,    0,   49,    0,
    0,   50,   51,    0,    0,    0,    0,   52,    0,   53,
   54,   55,    0,    0,    0,    0,    0,   57,   58,    0,
    0,   60,   61,    0,    0,   63,   64,   65,   66,   67,
    8,    0,   69,   70,   71,   72,   73,   74,    0,    9,
   10,   11,    0,    0,   12,   13,   14,   15,    0,    0,
    0,    0,    0,    0,    0,    0,   16,   17,   18,   19,
   20,    0,    0,    0,    0,    0,   21,   22,    0,   23,
   47,   24,    0,    0,    0,   50,   51,    0,    0,    0,
    0,   52,    0,   53,    0,   55,    0,    0,    0,    0,
    0,   57,   58,    0,    0,    0,   61,    0,   25,   63,
   64,    0,   66,   67,    8,   26,    0,   70,   71,   72,
   73,   74,    0,    9,   10,   11,    0,    0,   12,   13,
   14,   15,    0,    0,    0,    0,    0,    0,    0,    0,
   16,   17,   18,   19,   20,  223,    0,    8,    0,    0,
   21,   22,    0,   23,    0,   24,    9,   10,   11,    0,
    0,   12,   13,   14,   15,    0,    0,    0,    0,    0,
    0,    0,    0,   16,   17,   18,   19,   20,    0,    0,
    0,    0,   25,   21,   22,    0,   23,    0,   24,   26,
    8,    0,    0,    0,    0,    0,    0,    0,    0,    9,
   10,   11,    0,    0,   12,   13,   14,   15,    0,    0,
    0,    0,    0,    0,    0,   25,   16,   17,   18,   19,
  103,    0,   26,    8,    0,    0,   21,   22,    0,   23,
    0,   24,    9,   10,   11,    0,    0,   12,   13,   14,
   15,    0,    0,    0,    0,    0,    0,    0,    0,   16,
   17,   18,   19,  107,    0,    0,    0,    0,   25,   21,
   22,    0,   23,    0,   24,   26,    0,    0,    0,    0,
    0,    0,    0,   46,    0,   47,   48,   49,    0,    0,
   50,   51,    0,    0,    0,    0,   52,    0,   53,   54,
   55,   25,    0,    0,    0,   56,   57,   58,   26,   59,
   60,   61,    0,   62,   63,   64,   65,   66,   67,    0,
   68,   69,   70,   71,   72,   73,   74,   47,   75,   49,
    0,    0,   50,   51,    0,    0,    0,    0,   52,    0,
   53,   54,   55,    0,    0,    0,    0,    0,   57,   58,
    0,    0,   60,   61,    0,   62,   63,   64,   65,   66,
   67,    0,   68,   69,   70,   71,   72,   73,   74,   47,
    0,    0,    0,    0,   50,   51,    0,    0,    0,    0,
   52,    0,   53,    0,   55,    0,    0,    0,    0,    0,
   57,   58,    0,    0,    0,   61,    0,    0,   63,   64,
    0,   66,   67,    0,    0,    0,   70,   71,   72,   73,
   74,
};
static const YYINT yycheck[] = {                          1,
   56,   59,   20,    0,  125,   59,  113,   59,   59,  125,
   98,   98,   14,   15,    0,   17,   18,   59,   20,   59,
  123,  125,  123,   59,  157,  123,  177,  190,   98,   45,
   86,   87,  125,  125,  125,  257,   92,  257,  145,  151,
  288,  148,  149,    0,  176,  178,   94,  180,   96,   97,
  176,  257,   59,   59,  273,   59,   59,   75,  272,  273,
  192,  257,   59,  271,  257,  315,  192,  307,  318,  309,
    0,    0,  288,   59,  314,  323,  257,  288,  271,    0,
  288,  169,  301,  257,  278,  279,  308,  257,  106,  107,
  307,  307,  110,  309,  307,  343,  307,  314,  314,  307,
  257,  103,  308,  314,  310,  107,  314,  195,  284,  285,
  358,  113,  114,    0,  310,  131,  132,  133,  125,  125,
  190,  125,  125,  337,  270,  195,  272,  308,  125,  261,
   59,  288,  280,  181,  308,  261,  310,  257,  308,  125,
  275,  361,  274,  145,  286,  287,  148,  149,  274,    0,
  307,  308,  309,  310,  288,  273,  308,  314,  310,  161,
  162,  121,  122,    0,  257,  257,  278,  255,  307,  302,
  309,  276,   59,  307,  263,  309,  283,  340,  274,  307,
  313,  309,  257,  199,  273,  280,  281,  282,  283,  340,
  314,  289,  277,  282,    0,  314,  125,  362,  363,  364,
  326,    0,  308,  257,  123,  257,  257,  123,  259,  342,
  314,  314,  301,  314,  317,  257,  317,  259,  325,  340,
  271,  257,   59,  314,  340,  313,  313,  245,  123,  271,
  288,  271,  358,  123,  124,  125,  126,  280,  125,  123,
    0,  127,  128,  313,  129,  130,    0,  123,  259,  307,
  282,  307,  308,   59,  342,    0,  314,  308,  314,  310,
  257,  368,  288,  289,  290,  257,  308,  269,  310,  308,
  340,  257,  342,  270,  271,  272,  273,  274,  275,  276,
  277,  283,  271,  308,  270,  271,  272,  273,  125,    0,
  307,  293,  259,  308,  314,   59,  123,  307,  257,   59,
    1,  314,  310,    0,   59,   59,  282,   59,  308,  308,
  308,  308,  308,  310,   59,  123,   59,  259,   59,  125,
  322,   59,  308,  325,  310,   59,    0,    0,  257,  331,
  259,  260,  261,  262,  263,  264,  265,  266,  267,  268,
  269,  270,  271,  272,  273,  274,  275,  276,  277,  278,
  279,  280,  281,  282,  283,  284,  285,  286,  287,  288,
  289,  290,   59,    0,  361,  125,  368,    0,    0,    0,
  257,  125,    0,  308,  310,  361,   76,  365,  289,  308,
  125,  310,  163,  270,  271,  272,  273,  274,  275,  276,
  277,  278,  279,  280,  281,  282,  283,  284,  285,  286,
  287,  288,  289,  290,  331,  293,  257,  256,    2,  273,
  115,  337,  116,  114,  117,  181,  118,  149,    0,  302,
  257,  308,   59,  310,    0,  119,  270,    0,  125,  280,
  120,  282,  361,  270,  271,  272,  273,  274,  275,  276,
  277,  278,  279,  280,  281,  282,  283,  284,  285,  286,
  287,  257,   -1,   -1,   -1,   -1,   -1,  308,  257,  310,
  161,  162,   56,  314,  270,  271,  272,  273,  274,  275,
  276,  308,  271,  310,  361,   -1,   -1,   59,   -1,   -1,
   -1,  280,   76,  282,   -1,    0,   -1,   -1,  125,  288,
   -1,   -1,   86,   87,   -1,    0,   -1,  257,   92,   -1,
   -1,   -1,  308,  257,  310,   -1,   -1,   -1,  307,  308,
  309,  271,  257,   -1,   -1,  314,  270,  271,  272,  273,
  274,  275,  276,  277,  361,  270,  271,  272,  273,  274,
  275,  276,  277,  278,  279,  280,  281,  282,  283,  284,
  285,  286,  287,  125,   59,    0,  257,   -1,  308,   59,
  310,   -1,   -1,   -1,  308,  361,  310,   -1,   -1,   -1,
  257,   -1,   -1,  308,   -1,  310,   -1,   -1,  269,  280,
   -1,  282,   -1,  270,  271,  272,  273,  274,  275,  276,
  277,  278,  279,  280,  281,  282,  283,  284,  285,  286,
  287,    0,  293,   -1,   -1,   -1,  307,  308,  309,  310,
   -1,  361,   -1,  314,   59,   -1,   -1,  361,  293,  294,
  125,  308,   -1,  310,   -1,   -1,  361,   -1,   -1,   -1,
  257,  322,  307,   -1,  309,   -1,  311,  312,   -1,  257,
  331,   -1,    0,  270,  271,  272,  273,  274,  275,  276,
  277,  278,  279,  280,  281,  282,  283,  284,  285,   -1,
   59,    0,  280,   -1,  282,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  361,   -1,   -1,   -1,   -1,   -1,
  125,  308,   -1,  310,   -1,  257,   -1,   -1,  272,  273,
  308,  257,  310,   -1,  257,   -1,  314,   -1,  270,  271,
  272,  273,  274,  275,  276,  277,  278,  279,  280,  281,
  282,  283,  284,  285,  280,   -1,  282,  280,   -1,  282,
   59,   -1,    0,  307,  308,   -1,  125,   -1,   -1,   -1,
  314,   -1,   -1,   -1,  361,   -1,  308,   -1,  310,   -1,
   -1,  307,  308,  309,  310,  308,   -1,   -1,  314,   -1,
   -1,  314,  257,  337,   -1,   -1,   -1,  257,   -1,   59,
   -1,   -1,  257,    0,   -1,  270,  271,  272,  273,  274,
  275,  276,  277,  278,  279,  280,  281,  282,  283,  284,
  285,   59,   -1,   -1,   -1,  280,  125,  282,  288,  361,
    0,   -1,   -1,  257,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  308,   -1,  310,   -1,  307,  308,  309,
  310,   -1,  257,  308,  314,   -1,   -1,   -1,   -1,  314,
   -1,   -1,   59,   -1,  288,  270,  271,  272,  273,  274,
  275,  276,  277,  278,  279,  280,  281,  282,  283,    0,
   -1,   -1,   -1,  307,  308,  309,  310,  125,   -1,   59,
  314,   -1,   -1,   59,   -1,   -1,  361,   -1,  257,   -1,
   -1,   -1,    0,  308,   -1,  310,   -1,   -1,   -1,   -1,
   -1,  270,  271,  272,  273,  274,  275,  276,  277,  278,
  279,  280,  281,  282,  283,   -1,    0,   -1,  125,   -1,
   -1,   -1,   -1,    0,   -1,   -1,   -1,   -1,   59,  257,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  308,
   -1,  310,   -1,  271,   -1,  125,  361,   -1,  257,   -1,
   -1,   59,  280,   -1,  282,   -1,   -1,   -1,   -1,   -1,
  288,  270,  271,  272,  273,  274,  275,  276,  277,  278,
  279,  280,  281,  282,  283,   59,   -1,    0,   -1,  307,
  308,  309,   59,   -1,    0,   -1,  314,  257,   -1,   -1,
   -1,   -1,  361,   -1,  125,   -1,   -1,   -1,   -1,  308,
   -1,  310,    0,   -1,   -1,   -1,   -1,   -1,   -1,  257,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  125,  288,   -1,
   -1,   -1,  270,  271,  272,  273,  274,  275,  276,  277,
  278,  279,  280,  281,  282,  283,   59,  307,  308,  309,
  310,  125,   -1,   59,  314,   -1,   -1,    0,  125,   -1,
  257,    0,  361,   -1,   -1,   -1,   -1,    0,   -1,   -1,
  308,   59,  310,  270,  271,  272,  273,  274,  275,  276,
  277,  278,  279,  280,  281,  282,  283,  257,   -1,   -1,
   -1,  257,   -1,    0,   -1,   -1,   -1,   -1,   -1,   -1,
  270,  271,  272,  273,  274,  275,  276,  277,  278,  279,
   -1,  308,  125,  310,   -1,   -1,   59,   -1,   -1,  125,
   59,   -1,  288,  361,   -1,   -1,   59,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  257,  125,  308,    0,
  310,  307,  308,  309,  310,   -1,   -1,   -1,  314,  270,
  271,  272,  273,  274,  275,  276,  277,  278,  279,  257,
   -1,   -1,   -1,   -1,  361,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,  270,  271,  272,  273,  274,  275,  276,  277,
  278,  279,  125,  257,   -1,    0,  125,  308,   -1,  310,
  257,  361,  125,   -1,   -1,  257,  270,  271,  272,  273,
  274,  275,  276,  270,  271,  272,  273,  274,  275,   -1,
  308,   -1,  310,   -1,   -1,   -1,  123,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  288,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  308,   -1,  310,   -1,   -1,   -1,
  361,  308,   -1,  310,  257,  307,  308,  309,  310,   -1,
   -1,  257,  314,   -1,   -1,   -1,   -1,  270,  271,  272,
  273,  274,  275,  361,  270,  271,  272,  273,  274,  257,
  259,  260,  261,  262,  263,  264,  265,  266,  267,  268,
  269,   -1,  270,  271,  272,  273,  274,  361,   -1,   -1,
    0,   -1,   -1,   -1,  361,  308,   -1,  310,   -1,   -1,
   -1,   -1,  308,   -1,  310,   -1,   -1,  305,  306,   -1,
   -1,   -1,   -1,   -1,  257,   -1,  314,   -1,  257,  317,
  308,   -1,  310,   -1,  257,   -1,   -1,  270,  271,  272,
  273,  270,  271,  272,   -1,   -1,   -1,  270,  271,  272,
   -1,   -1,  340,  341,  305,  306,   -1,  345,  361,   59,
   -1,  349,   -1,  314,   -1,  361,  317,   -1,  356,   -1,
   -1,   -1,  360,   -1,   -1,  308,   -1,  310,   -1,  308,
    0,  310,   -1,  361,   -1,  308,   -1,  310,   -1,  340,
  341,   -1,  289,   -1,  345,   -1,   -1,   -1,  349,   -1,
   -1,   -1,   -1,   -1,   -1,  356,   -1,   -1,   -1,  360,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  315,   -1,
  317,  318,  319,   -1,   -1,  322,  323,   -1,  361,   -1,
   -1,  328,  361,  330,  331,  332,   -1,   -1,  361,   59,
  337,  338,  339,   -1,  341,  342,  343,   -1,  345,  346,
  347,  348,  349,  350,   -1,  352,  353,  354,  355,  356,
  357,  358,   -1,  360,  315,   -1,  317,  318,  319,   -1,
   -1,  322,  323,   -1,   -1,   -1,   -1,  328,   -1,  330,
  331,  332,   -1,   -1,   -1,   -1,  337,  338,  339,   -1,
  341,  342,  343,   -1,  345,  346,  347,  348,  349,  350,
    0,  352,  353,  354,  355,  356,  357,  358,   -1,  360,
  315,   -1,  317,  318,  319,   -1,   -1,  322,  323,   -1,
   -1,   -1,   -1,  328,   -1,  330,  331,  332,   -1,   -1,
   -1,   -1,  337,  338,  339,   -1,  341,  342,  343,   -1,
  345,  346,  347,  348,  349,  350,   -1,  352,  353,  354,
  355,  356,  357,  358,   -1,  360,   -1,  257,   -1,   59,
  305,  306,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  314,
   -1,  271,  317,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  280,   -1,  282,   -1,   -1,   -1,   -1,   -1,  288,   -1,
   -1,   -1,   -1,   -1,   -1,  340,  341,   -1,   -1,   -1,
  345,   -1,    0,   -1,  349,   -1,   -1,  307,  308,  309,
  310,  356,   -1,   -1,  314,  360,   -1,  317,   -1,  319,
   -1,   -1,  322,  323,   -1,   -1,   -1,   -1,  328,   -1,
  330,  331,  332,   -1,   -1,   -1,   -1,  257,  338,  339,
   -1,   -1,  342,  343,   -1,  345,  346,  347,  348,  349,
  350,  271,  352,  353,  354,  355,  356,  357,  358,   -1,
  280,   59,  282,   -1,   -1,   -1,   -1,   -1,  288,   -1,
   -1,   -1,   -1,  125,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  307,  308,  309,
  310,   -1,   -1,    2,  314,   -1,   -1,  317,   -1,  319,
   -1,   -1,  322,  323,   -1,   -1,   -1,   -1,  328,   -1,
  330,  331,  332,   -1,   -1,   -1,   -1,   -1,  338,  339,
   -1,   -1,  342,  343,   -1,  345,  346,  347,  348,  349,
  350,   -1,  352,  353,  354,  355,  356,  357,  358,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   56,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  257,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   76,   -1,   -1,
   -1,  271,   -1,   -1,   -1,   -1,   -1,   86,   87,   -1,
  280,   -1,  282,   92,   -1,   -1,   -1,   -1,  288,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,  307,  308,  309,
  310,   -1,   -1,   -1,  314,   -1,   -1,  317,   -1,  319,
   -1,   -1,  322,  323,   -1,   -1,   -1,   -1,  328,   -1,
  330,  331,  332,   -1,   -1,   -1,   -1,   -1,  338,  339,
   -1,   -1,  342,  343,   -1,  345,  346,  347,  348,  349,
  350,   -1,  352,  353,  354,  355,  356,  357,  358,  257,
  169,   -1,   -1,   -1,   -1,  317,   -1,   -1,   -1,   -1,
  322,  323,   -1,  271,   -1,   -1,  328,   -1,  330,   -1,
  332,   -1,  280,   -1,  282,   -1,  338,  339,   -1,   -1,
  288,  343,   -1,   -1,  346,  347,   -1,  349,  350,   -1,
   -1,   -1,  354,  355,  356,  357,  358,   -1,   -1,  307,
  308,  309,  310,   -1,   -1,   -1,  314,   -1,   -1,  317,
   -1,  319,   -1,   -1,  322,  323,   -1,   -1,   -1,   -1,
  328,   -1,  330,  331,  332,   -1,   -1,   -1,   -1,   -1,
  338,  339,   -1,   -1,  342,  343,  255,  345,  346,  347,
  348,  349,  350,   -1,  352,  353,  354,  355,  356,  357,
  358,  258,   -1,  272,  273,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  277,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  286,
  287,  288,   -1,   -1,  291,  292,  293,  294,  307,  308,
   -1,   -1,   -1,   -1,   -1,  314,  303,  304,  305,  306,
  307,   -1,   -1,  258,   -1,   -1,  313,  314,   -1,  316,
  317,  318,  319,   -1,   -1,  322,  323,   -1,  337,   -1,
   -1,  328,   -1,  330,  331,  332,   -1,   -1,   -1,   -1,
   -1,  338,  339,  288,   -1,  342,  343,   -1,  345,  346,
  347,  348,  349,  350,   -1,  352,  353,  354,  355,  356,
  357,  358,  307,  308,  309,  258,   -1,   -1,   -1,  314,
   -1,   -1,  317,   -1,  319,   -1,   -1,  322,  323,   -1,
   -1,   -1,   -1,  328,   -1,  330,  331,  332,   -1,   -1,
   -1,   -1,   -1,  338,  339,   -1,   -1,  342,  343,   -1,
   -1,  346,  347,  348,  349,  350,   -1,  258,  353,  354,
  355,  356,  357,  358,   -1,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,   -1,  317,   -1,  319,   -1,   -1,  322,
  323,   -1,   -1,   -1,   -1,  328,   -1,  330,  331,  332,
   -1,   -1,   -1,   -1,   -1,  338,  339,   -1,   -1,  342,
  343,   -1,   -1,  346,  347,  348,  349,  350,   -1,   -1,
  353,  354,  355,  356,  357,  358,  317,   -1,  319,   -1,
   -1,  322,  323,   -1,   -1,   -1,   -1,  328,   -1,  330,
  331,  332,   -1,   -1,   -1,   -1,   -1,  338,  339,   -1,
   -1,  342,  343,   -1,   -1,  346,  347,  348,  349,  350,
  277,   -1,  353,  354,  355,  356,  357,  358,   -1,  286,
  287,  288,   -1,   -1,  291,  292,  293,  294,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,   -1,  303,  304,  305,  306,
  307,   -1,   -1,   -1,   -1,   -1,  313,  314,   -1,  316,
  317,  318,   -1,   -1,   -1,  322,  323,   -1,   -1,   -1,
   -1,  328,   -1,  330,   -1,  332,   -1,   -1,   -1,   -1,
   -1,  338,  339,   -1,   -1,   -1,  343,   -1,  345,  346,
  347,   -1,  349,  350,  277,  352,   -1,  354,  355,  356,
  357,  358,   -1,  286,  287,  288,   -1,   -1,  291,  292,
  293,  294,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
  303,  304,  305,  306,  307,  308,   -1,  277,   -1,   -1,
  313,  314,   -1,  316,   -1,  318,  286,  287,  288,   -1,
   -1,  291,  292,  293,  294,   -1,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  303,  304,  305,  306,  307,   -1,   -1,
   -1,   -1,  345,  313,  314,   -1,  316,   -1,  318,  352,
  277,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  286,
  287,  288,   -1,   -1,  291,  292,  293,  294,   -1,   -1,
   -1,   -1,   -1,   -1,   -1,  345,  303,  304,  305,  306,
  307,   -1,  352,  277,   -1,   -1,  313,  314,   -1,  316,
   -1,  318,  286,  287,  288,   -1,   -1,  291,  292,  293,
  294,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  303,
  304,  305,  306,  307,   -1,   -1,   -1,   -1,  345,  313,
  314,   -1,  316,   -1,  318,  352,   -1,   -1,   -1,   -1,
   -1,   -1,   -1,  315,   -1,  317,  318,  319,   -1,   -1,
  322,  323,   -1,   -1,   -1,   -1,  328,   -1,  330,  331,
  332,  345,   -1,   -1,   -1,  337,  338,  339,  352,  341,
  342,  343,   -1,  345,  346,  347,  348,  349,  350,   -1,
  352,  353,  354,  355,  356,  357,  358,  317,  360,  319,
   -1,   -1,  322,  323,   -1,   -1,   -1,   -1,  328,   -1,
  330,  331,  332,   -1,   -1,   -1,   -1,   -1,  338,  339,
   -1,   -1,  342,  343,   -1,  345,  346,  347,  348,  349,
  350,   -1,  352,  353,  354,  355,  356,  357,  358,  317,
   -1,   -1,   -1,   -1,  322,  323,   -1,   -1,   -1,   -1,
  328,   -1,  330,   -1,  332,   -1,   -1,   -1,   -1,   -1,
  338,  339,   -1,   -1,   -1,  343,   -1,   -1,  346,  347,
   -1,  349,  350,   -1,   -1,   -1,  354,  355,  356,  357,
  358,
};
#define YYFINAL 4
#ifndef YYDEBUG
#define YYDEBUG 0
#endif
#define YYMAXTOKEN 364
#define YYUNDFTOKEN 447
#define YYTRANSLATE(a) ((a) > YYMAXTOKEN ? YYUNDFTOKEN : (a))
#if YYDEBUG
static const char *const yyname[] = {

"end-of-file",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"';'",0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,"'{'",0,"'}'",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"DT_TOK_COMMA",
"DT_TOK_ELLIPSIS","DT_TOK_ASGN","DT_TOK_ADD_EQ","DT_TOK_SUB_EQ","DT_TOK_MUL_EQ",
"DT_TOK_DIV_EQ","DT_TOK_MOD_EQ","DT_TOK_AND_EQ","DT_TOK_XOR_EQ","DT_TOK_OR_EQ",
"DT_TOK_LSH_EQ","DT_TOK_RSH_EQ","DT_TOK_QUESTION","DT_TOK_COLON","DT_TOK_LOR",
"DT_TOK_LXOR","DT_TOK_LAND","DT_TOK_BOR","DT_TOK_XOR","DT_TOK_BAND",
"DT_TOK_EQU","DT_TOK_NEQ","DT_TOK_LT","DT_TOK_LE","DT_TOK_GT","DT_TOK_GE",
"DT_TOK_LSH","DT_TOK_RSH","DT_TOK_ADD","DT_TOK_SUB","DT_TOK_MUL","DT_TOK_DIV",
"DT_TOK_MOD","DT_TOK_LNEG","DT_TOK_BNEG","DT_TOK_ADDADD","DT_TOK_SUBSUB",
"DT_TOK_PREINC","DT_TOK_POSTINC","DT_TOK_PREDEC","DT_TOK_POSTDEC","DT_TOK_IPOS",
"DT_TOK_INEG","DT_TOK_DEREF","DT_TOK_ADDROF","DT_TOK_OFFSETOF","DT_TOK_SIZEOF",
"DT_TOK_STRINGOF","DT_TOK_XLATE","DT_TOK_LPAR","DT_TOK_RPAR","DT_TOK_LBRAC",
"DT_TOK_RBRAC","DT_TOK_PTR","DT_TOK_DOT","DT_TOK_STRING","DT_TOK_IDENT",
"DT_TOK_PSPEC","DT_TOK_AGG","DT_TOK_TNAME","DT_TOK_INT","DT_KEY_AUTO",
"DT_KEY_BREAK","DT_KEY_CASE","DT_KEY_CHAR","DT_KEY_CONST","DT_KEY_CONTINUE",
"DT_KEY_COUNTER","DT_KEY_DEFAULT","DT_KEY_DO","DT_KEY_DOUBLE","DT_KEY_ELSE",
"DT_KEY_ENUM","DT_KEY_EXTERN","DT_KEY_FLOAT","DT_KEY_FOR","DT_KEY_GOTO",
"DT_KEY_IF","DT_KEY_IMPORT","DT_KEY_INLINE","DT_KEY_INT","DT_KEY_LONG",
"DT_KEY_PROBE","DT_KEY_PROVIDER","DT_KEY_REGISTER","DT_KEY_RESTRICT",
"DT_KEY_RETURN","DT_KEY_SELF","DT_KEY_SHORT","DT_KEY_SIGNED","DT_KEY_STATIC",
"DT_KEY_STRING","DT_KEY_STRUCT","DT_KEY_SWITCH","DT_KEY_THIS","DT_KEY_TYPEDEF",
"DT_KEY_UNION","DT_KEY_UNSIGNED","DT_KEY_USERLAND","DT_KEY_VOID",
"DT_KEY_VOLATILE","DT_KEY_WHILE","DT_KEY_XLATOR","DT_TOK_EPRED","DT_CTX_DEXPR",
"DT_CTX_DPROG","DT_CTX_DTYPE",0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,"illegal-symbol",
};
static const char *const yyrule[] = {
"$accept : dtrace_program",
"dtrace_program : d_expression DT_TOK_EOF",
"dtrace_program : d_program DT_TOK_EOF",
"dtrace_program : d_type DT_TOK_EOF",
"d_expression : DT_CTX_DEXPR",
"d_expression : DT_CTX_DEXPR expression",
"d_program : DT_CTX_DPROG",
"d_program : DT_CTX_DPROG translation_unit",
"d_type : DT_CTX_DTYPE",
"d_type : DT_CTX_DTYPE type_name",
"translation_unit : external_declaration",
"translation_unit : translation_unit external_declaration",
"external_declaration : inline_definition",
"external_declaration : translator_definition",
"external_declaration : provider_definition",
"external_declaration : probe_definition",
"external_declaration : declaration",
"$$1 :",
"inline_definition : DT_KEY_INLINE declaration_specifiers declarator $$1 DT_TOK_ASGN assignment_expression ';'",
"translator_definition : DT_KEY_XLATOR type_name DT_TOK_LT type_name DT_TOK_IDENT DT_TOK_GT '{' translator_member_list '}' ';'",
"translator_definition : DT_KEY_XLATOR type_name DT_TOK_LT type_name DT_TOK_IDENT DT_TOK_GT '{' '}' ';'",
"translator_member_list : translator_member",
"translator_member_list : translator_member_list translator_member",
"translator_member : DT_TOK_IDENT DT_TOK_ASGN assignment_expression ';'",
"provider_definition : DT_KEY_PROVIDER DT_TOK_IDENT '{' provider_probe_list '}' ';'",
"provider_definition : DT_KEY_PROVIDER DT_TOK_IDENT '{' '}' ';'",
"provider_probe_list : provider_probe",
"provider_probe_list : provider_probe_list provider_probe",
"provider_probe : DT_KEY_PROBE DT_TOK_IDENT function DT_TOK_COLON function ';'",
"provider_probe : DT_KEY_PROBE DT_TOK_IDENT function ';'",
"probe_definition : probe_specifiers",
"probe_definition : probe_specifiers '{' statement_list '}'",
"probe_definition : probe_specifiers DT_TOK_DIV expression DT_TOK_EPRED",
"probe_definition : probe_specifiers DT_TOK_DIV expression DT_TOK_EPRED '{' statement_list '}'",
"probe_specifiers : probe_specifier_list",
"probe_specifier_list : probe_specifier",
"probe_specifier_list : probe_specifier_list DT_TOK_COMMA probe_specifier",
"probe_specifier : DT_TOK_PSPEC",
"probe_specifier : DT_TOK_INT",
"statement_list : statement",
"statement_list : statement_list ';' statement",
"statement :",
"statement : expression",
"argument_expression_list : assignment_expression",
"argument_expression_list : argument_expression_list DT_TOK_COMMA assignment_expression",
"primary_expression : DT_TOK_IDENT",
"primary_expression : DT_TOK_AGG",
"primary_expression : DT_TOK_INT",
"primary_expression : DT_TOK_STRING",
"primary_expression : DT_KEY_SELF",
"primary_expression : DT_KEY_THIS",
"primary_expression : DT_TOK_LPAR expression DT_TOK_RPAR",
"postfix_expression : primary_expression",
"postfix_expression : postfix_expression DT_TOK_LBRAC argument_expression_list DT_TOK_RBRAC",
"postfix_expression : postfix_expression DT_TOK_LPAR DT_TOK_RPAR",
"postfix_expression : postfix_expression DT_TOK_LPAR argument_expression_list DT_TOK_RPAR",
"postfix_expression : postfix_expression DT_TOK_DOT DT_TOK_IDENT",
"postfix_expression : postfix_expression DT_TOK_DOT DT_TOK_TNAME",
"postfix_expression : postfix_expression DT_TOK_DOT dtrace_keyword_ident",
"postfix_expression : postfix_expression DT_TOK_PTR DT_TOK_IDENT",
"postfix_expression : postfix_expression DT_TOK_PTR DT_TOK_TNAME",
"postfix_expression : postfix_expression DT_TOK_PTR dtrace_keyword_ident",
"postfix_expression : postfix_expression DT_TOK_ADDADD",
"postfix_expression : postfix_expression DT_TOK_SUBSUB",
"postfix_expression : DT_TOK_OFFSETOF DT_TOK_LPAR type_name DT_TOK_COMMA DT_TOK_IDENT DT_TOK_RPAR",
"postfix_expression : DT_TOK_OFFSETOF DT_TOK_LPAR type_name DT_TOK_COMMA DT_TOK_TNAME DT_TOK_RPAR",
"postfix_expression : DT_TOK_OFFSETOF DT_TOK_LPAR type_name DT_TOK_COMMA dtrace_keyword_ident DT_TOK_RPAR",
"postfix_expression : DT_TOK_XLATE DT_TOK_LT type_name DT_TOK_GT DT_TOK_LPAR expression DT_TOK_RPAR",
"unary_expression : postfix_expression",
"unary_expression : DT_TOK_ADDADD unary_expression",
"unary_expression : DT_TOK_SUBSUB unary_expression",
"unary_expression : unary_operator cast_expression",
"unary_expression : DT_TOK_SIZEOF unary_expression",
"unary_expression : DT_TOK_SIZEOF DT_TOK_LPAR type_name DT_TOK_RPAR",
"unary_expression : DT_TOK_STRINGOF unary_expression",
"unary_operator : DT_TOK_BAND",
"unary_operator : DT_TOK_MUL",
"unary_operator : DT_TOK_ADD",
"unary_operator : DT_TOK_SUB",
"unary_operator : DT_TOK_BNEG",
"unary_operator : DT_TOK_LNEG",
"cast_expression : unary_expression",
"cast_expression : DT_TOK_LPAR type_name DT_TOK_RPAR cast_expression",
"multiplicative_expression : cast_expression",
"multiplicative_expression : multiplicative_expression DT_TOK_MUL cast_expression",
"multiplicative_expression : multiplicative_expression DT_TOK_DIV cast_expression",
"multiplicative_expression : multiplicative_expression DT_TOK_MOD cast_expression",
"additive_expression : multiplicative_expression",
"additive_expression : additive_expression DT_TOK_ADD multiplicative_expression",
"additive_expression : additive_expression DT_TOK_SUB multiplicative_expression",
"shift_expression : additive_expression",
"shift_expression : shift_expression DT_TOK_LSH additive_expression",
"shift_expression : shift_expression DT_TOK_RSH additive_expression",
"relational_expression : shift_expression",
"relational_expression : relational_expression DT_TOK_LT shift_expression",
"relational_expression : relational_expression DT_TOK_GT shift_expression",
"relational_expression : relational_expression DT_TOK_LE shift_expression",
"relational_expression : relational_expression DT_TOK_GE shift_expression",
"equality_expression : relational_expression",
"equality_expression : equality_expression DT_TOK_EQU relational_expression",
"equality_expression : equality_expression DT_TOK_NEQ relational_expression",
"and_expression : equality_expression",
"and_expression : and_expression DT_TOK_BAND equality_expression",
"exclusive_or_expression : and_expression",
"exclusive_or_expression : exclusive_or_expression DT_TOK_XOR and_expression",
"inclusive_or_expression : exclusive_or_expression",
"inclusive_or_expression : inclusive_or_expression DT_TOK_BOR exclusive_or_expression",
"logical_and_expression : inclusive_or_expression",
"logical_and_expression : logical_and_expression DT_TOK_LAND inclusive_or_expression",
"logical_xor_expression : logical_and_expression",
"logical_xor_expression : logical_xor_expression DT_TOK_LXOR logical_and_expression",
"logical_or_expression : logical_xor_expression",
"logical_or_expression : logical_or_expression DT_TOK_LOR logical_xor_expression",
"constant_expression : conditional_expression",
"conditional_expression : logical_or_expression",
"conditional_expression : logical_or_expression DT_TOK_QUESTION expression DT_TOK_COLON conditional_expression",
"assignment_expression : conditional_expression",
"assignment_expression : unary_expression assignment_operator assignment_expression",
"assignment_operator : DT_TOK_ASGN",
"assignment_operator : DT_TOK_MUL_EQ",
"assignment_operator : DT_TOK_DIV_EQ",
"assignment_operator : DT_TOK_MOD_EQ",
"assignment_operator : DT_TOK_ADD_EQ",
"assignment_operator : DT_TOK_SUB_EQ",
"assignment_operator : DT_TOK_LSH_EQ",
"assignment_operator : DT_TOK_RSH_EQ",
"assignment_operator : DT_TOK_AND_EQ",
"assignment_operator : DT_TOK_XOR_EQ",
"assignment_operator : DT_TOK_OR_EQ",
"expression : assignment_expression",
"expression : expression DT_TOK_COMMA assignment_expression",
"declaration : declaration_specifiers ';'",
"declaration : declaration_specifiers init_declarator_list ';'",
"declaration_specifiers : d_storage_class_specifier",
"declaration_specifiers : d_storage_class_specifier declaration_specifiers",
"declaration_specifiers : type_specifier",
"declaration_specifiers : type_specifier declaration_specifiers",
"declaration_specifiers : type_qualifier",
"declaration_specifiers : type_qualifier declaration_specifiers",
"parameter_declaration_specifiers : storage_class_specifier",
"parameter_declaration_specifiers : storage_class_specifier declaration_specifiers",
"parameter_declaration_specifiers : type_specifier",
"parameter_declaration_specifiers : type_specifier declaration_specifiers",
"parameter_declaration_specifiers : type_qualifier",
"parameter_declaration_specifiers : type_qualifier declaration_specifiers",
"storage_class_specifier : DT_KEY_AUTO",
"storage_class_specifier : DT_KEY_REGISTER",
"storage_class_specifier : DT_KEY_STATIC",
"storage_class_specifier : DT_KEY_EXTERN",
"storage_class_specifier : DT_KEY_TYPEDEF",
"d_storage_class_specifier : storage_class_specifier",
"d_storage_class_specifier : DT_KEY_SELF",
"d_storage_class_specifier : DT_KEY_THIS",
"type_specifier : DT_KEY_VOID",
"type_specifier : DT_KEY_CHAR",
"type_specifier : DT_KEY_SHORT",
"type_specifier : DT_KEY_INT",
"type_specifier : DT_KEY_LONG",
"type_specifier : DT_KEY_FLOAT",
"type_specifier : DT_KEY_DOUBLE",
"type_specifier : DT_KEY_SIGNED",
"type_specifier : DT_KEY_UNSIGNED",
"type_specifier : DT_KEY_USERLAND",
"type_specifier : DT_KEY_STRING",
"type_specifier : DT_TOK_TNAME",
"type_specifier : struct_or_union_specifier",
"type_specifier : enum_specifier",
"type_qualifier : DT_KEY_CONST",
"type_qualifier : DT_KEY_RESTRICT",
"type_qualifier : DT_KEY_VOLATILE",
"struct_or_union_specifier : struct_or_union_definition struct_declaration_list '}'",
"struct_or_union_specifier : struct_or_union DT_TOK_IDENT",
"struct_or_union_specifier : struct_or_union DT_TOK_TNAME",
"struct_or_union_definition : struct_or_union '{'",
"struct_or_union_definition : struct_or_union DT_TOK_IDENT '{'",
"struct_or_union_definition : struct_or_union DT_TOK_TNAME '{'",
"struct_or_union : DT_KEY_STRUCT",
"struct_or_union : DT_KEY_UNION",
"struct_declaration_list : struct_declaration",
"struct_declaration_list : struct_declaration_list struct_declaration",
"init_declarator_list : init_declarator",
"init_declarator_list : init_declarator_list DT_TOK_COMMA init_declarator",
"init_declarator : declarator",
"struct_declaration : specifier_qualifier_list struct_declarator_list ';'",
"specifier_qualifier_list : type_specifier",
"specifier_qualifier_list : type_specifier specifier_qualifier_list",
"specifier_qualifier_list : type_qualifier",
"specifier_qualifier_list : type_qualifier specifier_qualifier_list",
"struct_declarator_list : struct_declarator",
"struct_declarator_list : struct_declarator_list DT_TOK_COMMA struct_declarator",
"struct_declarator : declarator",
"struct_declarator : DT_TOK_COLON constant_expression",
"struct_declarator : declarator DT_TOK_COLON constant_expression",
"enum_specifier : enum_definition enumerator_list '}'",
"enum_specifier : DT_KEY_ENUM DT_TOK_IDENT",
"enum_specifier : DT_KEY_ENUM DT_TOK_TNAME",
"enum_definition : DT_KEY_ENUM '{'",
"enum_definition : DT_KEY_ENUM DT_TOK_IDENT '{'",
"enum_definition : DT_KEY_ENUM DT_TOK_TNAME '{'",
"enumerator_list : enumerator",
"enumerator_list : enumerator_list DT_TOK_COMMA enumerator",
"enumerator : DT_TOK_IDENT",
"enumerator : DT_TOK_IDENT DT_TOK_ASGN expression",
"declarator : direct_declarator",
"declarator : pointer direct_declarator",
"direct_declarator : DT_TOK_IDENT",
"direct_declarator : lparen declarator DT_TOK_RPAR",
"direct_declarator : direct_declarator array",
"direct_declarator : direct_declarator function",
"lparen : DT_TOK_LPAR",
"pointer : DT_TOK_MUL",
"pointer : DT_TOK_MUL type_qualifier_list",
"pointer : DT_TOK_MUL pointer",
"pointer : DT_TOK_MUL type_qualifier_list pointer",
"type_qualifier_list : type_qualifier",
"type_qualifier_list : type_qualifier_list type_qualifier",
"parameter_type_list : parameter_list",
"parameter_type_list : DT_TOK_ELLIPSIS",
"parameter_type_list : parameter_list DT_TOK_COMMA DT_TOK_ELLIPSIS",
"parameter_list : parameter_declaration",
"parameter_list : parameter_list DT_TOK_COMMA parameter_declaration",
"parameter_declaration : parameter_declaration_specifiers",
"parameter_declaration : parameter_declaration_specifiers declarator",
"parameter_declaration : parameter_declaration_specifiers abstract_declarator",
"type_name : specifier_qualifier_list",
"type_name : specifier_qualifier_list abstract_declarator",
"abstract_declarator : pointer",
"abstract_declarator : direct_abstract_declarator",
"abstract_declarator : pointer direct_abstract_declarator",
"direct_abstract_declarator : lparen abstract_declarator DT_TOK_RPAR",
"direct_abstract_declarator : direct_abstract_declarator array",
"direct_abstract_declarator : array",
"direct_abstract_declarator : direct_abstract_declarator function",
"direct_abstract_declarator : function",
"$$2 :",
"array : DT_TOK_LBRAC $$2 array_parameters DT_TOK_RBRAC",
"array_parameters :",
"array_parameters : constant_expression",
"array_parameters : parameter_type_list",
"$$3 :",
"function : DT_TOK_LPAR $$3 function_parameters DT_TOK_RPAR",
"function_parameters :",
"function_parameters : parameter_type_list",
"dtrace_keyword_ident : DT_KEY_PROBE",
"dtrace_keyword_ident : DT_KEY_PROVIDER",
"dtrace_keyword_ident : DT_KEY_SELF",
"dtrace_keyword_ident : DT_KEY_STRING",
"dtrace_keyword_ident : DT_TOK_STRINGOF",
"dtrace_keyword_ident : DT_KEY_USERLAND",
"dtrace_keyword_ident : DT_TOK_XLATE",
"dtrace_keyword_ident : DT_KEY_XLATOR",

};
#endif

int      yydebug;
int      yynerrs;

int      yyerrflag;
int      yychar;
YYSTYPE  yyval;
YYSTYPE  yylval;

/* define the initial stack-sizes */
#ifdef YYSTACKSIZE
#undef YYMAXDEPTH
#define YYMAXDEPTH  YYSTACKSIZE
#else
#ifdef YYMAXDEPTH
#define YYSTACKSIZE YYMAXDEPTH
#else
#define YYSTACKSIZE 10000
#define YYMAXDEPTH  10000
#endif
#endif

#define YYINITSTACKSIZE 200

typedef struct {
    unsigned stacksize;
    YYINT    *s_base;
    YYINT    *s_mark;
    YYINT    *s_last;
    YYSTYPE  *l_base;
    YYSTYPE  *l_mark;
} YYSTACKDATA;
/* variables for the parser stack */
static YYSTACKDATA yystack;

#if YYDEBUG
#include <stdio.h>		/* needed for printf */
#endif

#include <stdlib.h>	/* needed for malloc, etc */
#include <string.h>	/* needed for memset */

/* allocate initial stack or double stack size, up to YYMAXDEPTH */
static int yygrowstack(YYSTACKDATA *data)
{
    int i;
    unsigned newsize;
    YYINT *newss;
    YYSTYPE *newvs;

    if ((newsize = data->stacksize) == 0)
        newsize = YYINITSTACKSIZE;
    else if (newsize >= YYMAXDEPTH)
        return YYENOMEM;
    else if ((newsize *= 2) > YYMAXDEPTH)
        newsize = YYMAXDEPTH;

    i = (int) (data->s_mark - data->s_base);
    newss = (YYINT *)realloc(data->s_base, newsize * sizeof(*newss));
    if (newss == 0)
        return YYENOMEM;

    data->s_base = newss;
    data->s_mark = newss + i;

    newvs = (YYSTYPE *)realloc(data->l_base, newsize * sizeof(*newvs));
    if (newvs == 0)
        return YYENOMEM;

    data->l_base = newvs;
    data->l_mark = newvs + i;

    data->stacksize = newsize;
    data->s_last = data->s_base + newsize - 1;
    return 0;
}

#if YYPURE || defined(YY_NO_LEAKS)
static void yyfreestack(YYSTACKDATA *data)
{
    free(data->s_base);
    free(data->l_base);
    memset(data, 0, sizeof(*data));
}
#else
#define yyfreestack(data) /* nothing */
#endif

#define YYABORT  goto yyabort
#define YYREJECT goto yyabort
#define YYACCEPT goto yyaccept
#define YYERROR  goto yyerrlab

int
YYPARSE_DECL()
{
    int yym, yyn, yystate;
#if YYDEBUG
    const char *yys;

    if ((yys = getenv("YYDEBUG")) != 0)
    {
        yyn = *yys;
        if (yyn >= '0' && yyn <= '9')
            yydebug = yyn - '0';
    }
#endif

    yynerrs = 0;
    yyerrflag = 0;
    yychar = YYEMPTY;
    yystate = 0;

#if YYPURE
    memset(&yystack, 0, sizeof(yystack));
#endif

    if (yystack.s_base == NULL && yygrowstack(&yystack) == YYENOMEM) goto yyoverflow;
    yystack.s_mark = yystack.s_base;
    yystack.l_mark = yystack.l_base;
    yystate = 0;
    *yystack.s_mark = 0;

yyloop:
    if ((yyn = yydefred[yystate]) != 0) goto yyreduce;
    if (yychar < 0)
    {
        if ((yychar = YYLEX) < 0) yychar = YYEOF;
#if YYDEBUG
        if (yydebug)
        {
            yys = yyname[YYTRANSLATE(yychar)];
            printf("%sdebug: state %d, reading %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
    }
    if ((yyn = yysindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: state %d, shifting to state %d\n",
                    YYPREFIX, yystate, yytable[yyn]);
#endif
        if (yystack.s_mark >= yystack.s_last && yygrowstack(&yystack) == YYENOMEM)
        {
            goto yyoverflow;
        }
        yystate = yytable[yyn];
        *++yystack.s_mark = yytable[yyn];
        *++yystack.l_mark = yylval;
        yychar = YYEMPTY;
        if (yyerrflag > 0)  --yyerrflag;
        goto yyloop;
    }
    if ((yyn = yyrindex[yystate]) && (yyn += yychar) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yychar)
    {
        yyn = yytable[yyn];
        goto yyreduce;
    }
    if (yyerrflag) goto yyinrecovery;

    YYERROR_CALL("syntax error");

    goto yyerrlab;

yyerrlab:
    ++yynerrs;

yyinrecovery:
    if (yyerrflag < 3)
    {
        yyerrflag = 3;
        for (;;)
        {
            if ((yyn = yysindex[*yystack.s_mark]) && (yyn += YYERRCODE) >= 0 &&
                    yyn <= YYTABLESIZE && yycheck[yyn] == YYERRCODE)
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: state %d, error recovery shifting\
 to state %d\n", YYPREFIX, *yystack.s_mark, yytable[yyn]);
#endif
                if (yystack.s_mark >= yystack.s_last && yygrowstack(&yystack) == YYENOMEM)
                {
                    goto yyoverflow;
                }
                yystate = yytable[yyn];
                *++yystack.s_mark = yytable[yyn];
                *++yystack.l_mark = yylval;
                goto yyloop;
            }
            else
            {
#if YYDEBUG
                if (yydebug)
                    printf("%sdebug: error recovery discarding state %d\n",
                            YYPREFIX, *yystack.s_mark);
#endif
                if (yystack.s_mark <= yystack.s_base) goto yyabort;
                --yystack.s_mark;
                --yystack.l_mark;
            }
        }
    }
    else
    {
        if (yychar == YYEOF) goto yyabort;
#if YYDEBUG
        if (yydebug)
        {
            yys = yyname[YYTRANSLATE(yychar)];
            printf("%sdebug: state %d, error recovery discards token %d (%s)\n",
                    YYPREFIX, yystate, yychar, yys);
        }
#endif
        yychar = YYEMPTY;
        goto yyloop;
    }

yyreduce:
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: state %d, reducing by rule %d (%s)\n",
                YYPREFIX, yystate, yyn, yyrule[yyn]);
#endif
    yym = yylen[yyn];
    if (yym)
        yyval = yystack.l_mark[1-yym];
    else
        memset(&yyval, 0, sizeof yyval);
    switch (yyn)
    {
case 1:
#line 214 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ return (dt_node_root(yystack.l_mark[-1].l_node)); }
break;
case 2:
#line 215 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ return (dt_node_root(yystack.l_mark[-1].l_node)); }
break;
case 3:
#line 216 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ return (dt_node_root(yystack.l_mark[-1].l_node)); }
break;
case 4:
#line 219 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = NULL; }
break;
case 5:
#line 220 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = yystack.l_mark[0].l_node; }
break;
case 6:
#line 223 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = dt_node_program(NULL); }
break;
case 7:
#line 224 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = dt_node_program(yystack.l_mark[0].l_node); }
break;
case 8:
#line 227 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = NULL; }
break;
case 9:
#line 228 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = (dt_node_t *)yystack.l_mark[0].l_decl; }
break;
case 11:
#line 233 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = LINK(yystack.l_mark[-1].l_node, yystack.l_mark[0].l_node); }
break;
case 17:
#line 246 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_scope_push(NULL, CTF_ERR); }
break;
case 18:
#line 247 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			/*
			 * We push a new declaration scope before shifting the
			 * assignment_expression in order to preserve ds_class
			 * and ds_ident for use in dt_node_inline().  Once the
			 * entire inline_definition rule is matched, pop the
			 * scope and construct the inline using the saved decl.
			 */
			dt_scope_pop();
			yyval.l_node = dt_node_inline(yystack.l_mark[-1].l_node);
		}
break;
case 19:
#line 262 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_xlator(yystack.l_mark[-8].l_decl, yystack.l_mark[-6].l_decl, yystack.l_mark[-5].l_str, yystack.l_mark[-2].l_node);
		}
break;
case 20:
#line 266 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_xlator(yystack.l_mark[-7].l_decl, yystack.l_mark[-5].l_decl, yystack.l_mark[-4].l_str, NULL);
		}
break;
case 22:
#line 273 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = LINK(yystack.l_mark[-1].l_node,yystack.l_mark[0].l_node); }
break;
case 23:
#line 277 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_member(NULL, yystack.l_mark[-3].l_str, yystack.l_mark[-1].l_node);
		}
break;
case 24:
#line 283 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_provider(yystack.l_mark[-4].l_str, yystack.l_mark[-2].l_node);
		}
break;
case 25:
#line 286 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_provider(yystack.l_mark[-3].l_str, NULL);
		}
break;
case 27:
#line 293 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = LINK(yystack.l_mark[-1].l_node, yystack.l_mark[0].l_node); }
break;
case 28:
#line 297 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_probe(yystack.l_mark[-4].l_str, 2, yystack.l_mark[-3].l_node, yystack.l_mark[-1].l_node);
		}
break;
case 29:
#line 300 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_probe(yystack.l_mark[-2].l_str, 1, yystack.l_mark[-1].l_node, NULL);
		}
break;
case 30:
#line 307 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			/*
			 * If the input stream is a file, do not permit a probe
			 * specification without / <pred> / or { <act> } after
			 * it.  This can only occur if the next token is EOF or
			 * an ambiguous predicate was slurped up as a comment.
			 * We cannot perform this check if input() is a string
			 * because dtrace(1M) [-fmnP] also use the compiler and
			 * things like dtrace -n BEGIN have to be accepted.
			 */
			if (yypcb->pcb_fileptr != NULL) {
				dnerror(yystack.l_mark[0].l_node, D_SYNTAX, "expected predicate and/"
				    "or actions following probe description\n");
			}
			yyval.l_node = dt_node_clause(yystack.l_mark[0].l_node, NULL, NULL);
		}
break;
case 31:
#line 323 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_clause(yystack.l_mark[-3].l_node, NULL, yystack.l_mark[-1].l_node);
		}
break;
case 32:
#line 326 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			dnerror(yystack.l_mark[-1].l_node, D_SYNTAX, "expected actions { } following "
			    "probe description and predicate\n");
		}
break;
case 33:
#line 331 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_clause(yystack.l_mark[-6].l_node, yystack.l_mark[-4].l_node, yystack.l_mark[-1].l_node);
		}
break;
case 34:
#line 337 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yybegin(YYS_EXPR); yyval.l_node = yystack.l_mark[0].l_node; }
break;
case 36:
#line 342 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = LINK(yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 37:
#line 348 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = dt_node_pdesc_by_name(yystack.l_mark[0].l_str); }
break;
case 38:
#line 349 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = dt_node_pdesc_by_id(yystack.l_mark[0].l_int); }
break;
case 39:
#line 352 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = yystack.l_mark[0].l_node; }
break;
case 40:
#line 353 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = LINK(yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node); }
break;
case 41:
#line 356 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = NULL; }
break;
case 42:
#line 357 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = dt_node_statement(yystack.l_mark[0].l_node); }
break;
case 44:
#line 362 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = LINK(yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 45:
#line 368 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = dt_node_ident(yystack.l_mark[0].l_str); }
break;
case 46:
#line 369 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = dt_node_ident(yystack.l_mark[0].l_str); }
break;
case 47:
#line 370 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = dt_node_int(yystack.l_mark[0].l_int); }
break;
case 48:
#line 371 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = dt_node_string(yystack.l_mark[0].l_str); }
break;
case 49:
#line 372 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = dt_node_ident(DUP("self")); }
break;
case 50:
#line 373 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = dt_node_ident(DUP("this")); }
break;
case 51:
#line 374 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = yystack.l_mark[-1].l_node; }
break;
case 53:
#line 380 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_LBRAC, yystack.l_mark[-3].l_node, yystack.l_mark[-1].l_node);
		}
break;
case 54:
#line 383 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_func(yystack.l_mark[-2].l_node, NULL);
		}
break;
case 55:
#line 387 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_func(yystack.l_mark[-3].l_node, yystack.l_mark[-1].l_node);
		}
break;
case 56:
#line 390 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_DOT, yystack.l_mark[-2].l_node, dt_node_ident(yystack.l_mark[0].l_str));
		}
break;
case 57:
#line 393 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_DOT, yystack.l_mark[-2].l_node, dt_node_ident(yystack.l_mark[0].l_str));
		}
break;
case 58:
#line 396 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_DOT, yystack.l_mark[-2].l_node, dt_node_ident(yystack.l_mark[0].l_str));
		}
break;
case 59:
#line 399 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_PTR, yystack.l_mark[-2].l_node, dt_node_ident(yystack.l_mark[0].l_str));
		}
break;
case 60:
#line 402 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_PTR, yystack.l_mark[-2].l_node, dt_node_ident(yystack.l_mark[0].l_str));
		}
break;
case 61:
#line 405 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_PTR, yystack.l_mark[-2].l_node, dt_node_ident(yystack.l_mark[0].l_str));
		}
break;
case 62:
#line 408 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP1(DT_TOK_POSTINC, yystack.l_mark[-1].l_node);
		}
break;
case 63:
#line 411 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP1(DT_TOK_POSTDEC, yystack.l_mark[-1].l_node);
		}
break;
case 64:
#line 415 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_offsetof(yystack.l_mark[-3].l_decl, yystack.l_mark[-1].l_str);
		}
break;
case 65:
#line 419 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_offsetof(yystack.l_mark[-3].l_decl, yystack.l_mark[-1].l_str);
		}
break;
case 66:
#line 423 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_offsetof(yystack.l_mark[-3].l_decl, yystack.l_mark[-1].l_str);
		}
break;
case 67:
#line 427 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_XLATE, dt_node_type(yystack.l_mark[-4].l_decl), yystack.l_mark[-1].l_node);
		}
break;
case 69:
#line 434 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = OP1(DT_TOK_PREINC, yystack.l_mark[0].l_node); }
break;
case 70:
#line 435 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = OP1(DT_TOK_PREDEC, yystack.l_mark[0].l_node); }
break;
case 71:
#line 436 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = OP1(yystack.l_mark[-1].l_tok, yystack.l_mark[0].l_node); }
break;
case 72:
#line 437 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = OP1(DT_TOK_SIZEOF, yystack.l_mark[0].l_node); }
break;
case 73:
#line 438 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP1(DT_TOK_SIZEOF, dt_node_type(yystack.l_mark[-1].l_decl));
		}
break;
case 74:
#line 441 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP1(DT_TOK_STRINGOF, yystack.l_mark[0].l_node);
		}
break;
case 75:
#line 446 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_ADDROF; }
break;
case 76:
#line 447 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_DEREF; }
break;
case 77:
#line 448 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_IPOS; }
break;
case 78:
#line 449 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_INEG; }
break;
case 79:
#line 450 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_BNEG; }
break;
case 80:
#line 451 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_LNEG; }
break;
case 82:
#line 456 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_LPAR, dt_node_type(yystack.l_mark[-2].l_decl), yystack.l_mark[0].l_node);
		}
break;
case 84:
#line 463 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_MUL, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 85:
#line 466 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_DIV, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 86:
#line 469 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_MOD, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 88:
#line 476 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_ADD, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 89:
#line 479 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_SUB, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 91:
#line 486 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_LSH, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 92:
#line 489 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_RSH, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 94:
#line 496 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_LT, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 95:
#line 499 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_GT, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 96:
#line 502 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_LE, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 97:
#line 505 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_GE, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 99:
#line 512 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_EQU, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 100:
#line 515 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_NEQ, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 102:
#line 522 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_BAND, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 104:
#line 529 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_XOR, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 106:
#line 536 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_BOR, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 108:
#line 543 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_LAND, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 110:
#line 550 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_LXOR, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 112:
#line 557 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_LOR, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 115:
#line 568 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = OP3(yystack.l_mark[-4].l_node, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node); }
break;
case 117:
#line 573 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(yystack.l_mark[-1].l_tok, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 118:
#line 579 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_ASGN; }
break;
case 119:
#line 580 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_MUL_EQ; }
break;
case 120:
#line 581 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_DIV_EQ; }
break;
case 121:
#line 582 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_MOD_EQ; }
break;
case 122:
#line 583 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_ADD_EQ; }
break;
case 123:
#line 584 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_SUB_EQ; }
break;
case 124:
#line 585 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_LSH_EQ; }
break;
case 125:
#line 586 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_RSH_EQ; }
break;
case 126:
#line 587 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_AND_EQ; }
break;
case 127:
#line 588 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_XOR_EQ; }
break;
case 128:
#line 589 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = DT_TOK_OR_EQ; }
break;
case 130:
#line 593 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = OP2(DT_TOK_COMMA, yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 131:
#line 598 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_decl();
			dt_decl_free(dt_decl_pop());
			yybegin(YYS_CLAUSE);
		}
break;
case 132:
#line 603 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = yystack.l_mark[-1].l_node;
			dt_decl_free(dt_decl_pop());
			yybegin(YYS_CLAUSE);
		}
break;
case 145:
#line 629 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_class(DT_DC_AUTO); }
break;
case 146:
#line 630 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_class(DT_DC_REGISTER); }
break;
case 147:
#line 631 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_class(DT_DC_STATIC); }
break;
case 148:
#line 632 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_class(DT_DC_EXTERN); }
break;
case 149:
#line 633 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_class(DT_DC_TYPEDEF); }
break;
case 151:
#line 638 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_class(DT_DC_SELF); }
break;
case 152:
#line 639 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_class(DT_DC_THIS); }
break;
case 153:
#line 642 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_spec(CTF_K_INTEGER, DUP("void")); }
break;
case 154:
#line 643 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_spec(CTF_K_INTEGER, DUP("char")); }
break;
case 155:
#line 644 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_attr(DT_DA_SHORT); }
break;
case 156:
#line 645 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_spec(CTF_K_INTEGER, DUP("int")); }
break;
case 157:
#line 646 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_attr(DT_DA_LONG); }
break;
case 158:
#line 647 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_spec(CTF_K_FLOAT, DUP("float")); }
break;
case 159:
#line 648 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_spec(CTF_K_FLOAT, DUP("double")); }
break;
case 160:
#line 649 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_attr(DT_DA_SIGNED); }
break;
case 161:
#line 650 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_attr(DT_DA_UNSIGNED); }
break;
case 162:
#line 651 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_attr(DT_DA_USER); }
break;
case 163:
#line 652 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_decl = dt_decl_spec(CTF_K_TYPEDEF, DUP("string"));
		}
break;
case 164:
#line 655 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_spec(CTF_K_TYPEDEF, yystack.l_mark[0].l_str); }
break;
case 167:
#line 660 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_attr(DT_DA_CONST); }
break;
case 168:
#line 661 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_attr(DT_DA_RESTRICT); }
break;
case 169:
#line 662 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_attr(DT_DA_VOLATILE); }
break;
case 170:
#line 666 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_decl = dt_scope_pop();
		}
break;
case 171:
#line 669 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_spec(yystack.l_mark[-1].l_tok, yystack.l_mark[0].l_str); }
break;
case 172:
#line 670 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_spec(yystack.l_mark[-1].l_tok, yystack.l_mark[0].l_str); }
break;
case 173:
#line 674 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_sou(yystack.l_mark[-1].l_tok, NULL); }
break;
case 174:
#line 675 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_sou(yystack.l_mark[-2].l_tok, yystack.l_mark[-1].l_str); }
break;
case 175:
#line 676 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_sou(yystack.l_mark[-2].l_tok, yystack.l_mark[-1].l_str); }
break;
case 176:
#line 680 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = CTF_K_STRUCT; }
break;
case 177:
#line 681 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_tok = CTF_K_UNION; }
break;
case 181:
#line 691 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = LINK(yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 182:
#line 697 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_decl();
			dt_decl_reset();
		}
break;
case 183:
#line 704 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			dt_decl_free(dt_decl_pop());
		}
break;
case 185:
#line 711 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = yystack.l_mark[0].l_decl; }
break;
case 187:
#line 713 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = yystack.l_mark[0].l_decl; }
break;
case 190:
#line 722 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_member(NULL); }
break;
case 191:
#line 723 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_member(yystack.l_mark[0].l_node); }
break;
case 192:
#line 724 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			dt_decl_member(yystack.l_mark[0].l_node);
		}
break;
case 193:
#line 730 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_scope_pop(); }
break;
case 194:
#line 731 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_spec(CTF_K_ENUM, yystack.l_mark[0].l_str); }
break;
case 195:
#line 732 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_spec(CTF_K_ENUM, yystack.l_mark[0].l_str); }
break;
case 196:
#line 736 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_enum(NULL); }
break;
case 197:
#line 737 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_enum(yystack.l_mark[-1].l_str); }
break;
case 198:
#line 738 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_enum(yystack.l_mark[-1].l_str); }
break;
case 201:
#line 746 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_enumerator(yystack.l_mark[0].l_str, NULL); }
break;
case 202:
#line 747 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			dt_decl_enumerator(yystack.l_mark[-2].l_str, yystack.l_mark[0].l_node);
		}
break;
case 205:
#line 757 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_ident(yystack.l_mark[0].l_str); }
break;
case 206:
#line 758 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = yystack.l_mark[-1].l_decl; }
break;
case 207:
#line 759 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_array(yystack.l_mark[0].l_node); }
break;
case 208:
#line 760 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_func(yystack.l_mark[-1].l_decl, yystack.l_mark[0].l_node); }
break;
case 209:
#line 763 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_top()->dd_attr |= DT_DA_PAREN; }
break;
case 210:
#line 766 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_ptr(); }
break;
case 211:
#line 767 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_ptr(); }
break;
case 212:
#line 768 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_ptr(); }
break;
case 213:
#line 769 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = dt_decl_ptr(); }
break;
case 215:
#line 774 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = yystack.l_mark[0].l_decl; }
break;
case 217:
#line 779 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = dt_node_vatype(); }
break;
case 218:
#line 780 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = LINK(yystack.l_mark[-2].l_node, dt_node_vatype());
		}
break;
case 220:
#line 786 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = LINK(yystack.l_mark[-2].l_node, yystack.l_mark[0].l_node);
		}
break;
case 221:
#line 792 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_type(NULL);
		}
break;
case 222:
#line 795 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_type(NULL);
		}
break;
case 223:
#line 798 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_node = dt_node_type(NULL);
		}
break;
case 224:
#line 803 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_decl = dt_decl_pop();
		}
break;
case 225:
#line 806 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			yyval.l_decl = dt_decl_pop();
		}
break;
case 229:
#line 818 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_decl = yystack.l_mark[-1].l_decl; }
break;
case 230:
#line 819 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_array(yystack.l_mark[0].l_node); }
break;
case 231:
#line 820 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_array(yystack.l_mark[0].l_node); yyval.l_decl = NULL; }
break;
case 232:
#line 821 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_func(yystack.l_mark[-1].l_decl, yystack.l_mark[0].l_node); }
break;
case 233:
#line 822 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_decl_func(NULL, yystack.l_mark[0].l_node); }
break;
case 234:
#line 825 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_scope_push(NULL, CTF_ERR); }
break;
case 235:
#line 826 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			dt_scope_pop();
			yyval.l_node = yystack.l_mark[-1].l_node;
		}
break;
case 236:
#line 833 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = NULL; }
break;
case 237:
#line 834 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = yystack.l_mark[0].l_node; }
break;
case 238:
#line 835 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = yystack.l_mark[0].l_node; }
break;
case 239:
#line 838 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ dt_scope_push(NULL, CTF_ERR); }
break;
case 240:
#line 839 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{
			dt_scope_pop();
			yyval.l_node = yystack.l_mark[-1].l_node;
		}
break;
case 241:
#line 846 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = NULL; }
break;
case 242:
#line 847 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_node = yystack.l_mark[0].l_node; }
break;
case 243:
#line 851 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_str = DUP("probe"); }
break;
case 244:
#line 852 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_str = DUP("provider"); }
break;
case 245:
#line 853 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_str = DUP("self"); }
break;
case 246:
#line 854 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_str = DUP("string"); }
break;
case 247:
#line 855 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_str = DUP("stringof"); }
break;
case 248:
#line 856 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_str = DUP("userland"); }
break;
case 249:
#line 857 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_str = DUP("xlate"); }
break;
case 250:
#line 858 "/tank/emaste/src/freebsd/cddl/lib/libdtrace/../../../cddl/contrib/opensolaris/lib/libdtrace/common/dt_grammar.y"
	{ yyval.l_str = DUP("translator"); }
break;
#line 2382 "dt_grammar.c"
    }
    yystack.s_mark -= yym;
    yystate = *yystack.s_mark;
    yystack.l_mark -= yym;
    yym = yylhs[yyn];
    if (yystate == 0 && yym == 0)
    {
#if YYDEBUG
        if (yydebug)
            printf("%sdebug: after reduction, shifting from state 0 to\
 state %d\n", YYPREFIX, YYFINAL);
#endif
        yystate = YYFINAL;
        *++yystack.s_mark = YYFINAL;
        *++yystack.l_mark = yyval;
        if (yychar < 0)
        {
            if ((yychar = YYLEX) < 0) yychar = YYEOF;
#if YYDEBUG
            if (yydebug)
            {
                yys = yyname[YYTRANSLATE(yychar)];
                printf("%sdebug: state %d, reading %d (%s)\n",
                        YYPREFIX, YYFINAL, yychar, yys);
            }
#endif
        }
        if (yychar == YYEOF) goto yyaccept;
        goto yyloop;
    }
    if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
        yystate = yytable[yyn];
    else
        yystate = yydgoto[yym];
#if YYDEBUG
    if (yydebug)
        printf("%sdebug: after reduction, shifting from state %d \
to state %d\n", YYPREFIX, *yystack.s_mark, yystate);
#endif
    if (yystack.s_mark >= yystack.s_last && yygrowstack(&yystack) == YYENOMEM)
    {
        goto yyoverflow;
    }
    *++yystack.s_mark = (YYINT) yystate;
    *++yystack.l_mark = yyval;
    goto yyloop;

yyoverflow:
    YYERROR_CALL("yacc stack overflow");

yyabort:
    yyfreestack(&yystack);
    return (1);

yyaccept:
    yyfreestack(&yystack);
    return (0);
}
