#define SPACE 257
#define LETTER 258
#define NEWLINE 259
#define COMMENT 260
#define COLON 261
#define ANY 262
#define ZONESTR 263
#define STRING_ARG 264
#define VAR_SERVER 265
#define VAR_VERBOSITY 266
#define VAR_NUM_THREADS 267
#define VAR_PORT 268
#define VAR_OUTGOING_RANGE 269
#define VAR_INTERFACE 270
#define VAR_DO_IP4 271
#define VAR_DO_IP6 272
#define VAR_DO_UDP 273
#define VAR_DO_TCP 274
#define VAR_TCP_MSS 275
#define VAR_OUTGOING_TCP_MSS 276
#define VAR_CHROOT 277
#define VAR_USERNAME 278
#define VAR_DIRECTORY 279
#define VAR_LOGFILE 280
#define VAR_PIDFILE 281
#define VAR_MSG_CACHE_SIZE 282
#define VAR_MSG_CACHE_SLABS 283
#define VAR_NUM_QUERIES_PER_THREAD 284
#define VAR_RRSET_CACHE_SIZE 285
#define VAR_RRSET_CACHE_SLABS 286
#define VAR_OUTGOING_NUM_TCP 287
#define VAR_INFRA_HOST_TTL 288
#define VAR_INFRA_LAME_TTL 289
#define VAR_INFRA_CACHE_SLABS 290
#define VAR_INFRA_CACHE_NUMHOSTS 291
#define VAR_INFRA_CACHE_LAME_SIZE 292
#define VAR_NAME 293
#define VAR_STUB_ZONE 294
#define VAR_STUB_HOST 295
#define VAR_STUB_ADDR 296
#define VAR_TARGET_FETCH_POLICY 297
#define VAR_HARDEN_SHORT_BUFSIZE 298
#define VAR_HARDEN_LARGE_QUERIES 299
#define VAR_FORWARD_ZONE 300
#define VAR_FORWARD_HOST 301
#define VAR_FORWARD_ADDR 302
#define VAR_DO_NOT_QUERY_ADDRESS 303
#define VAR_HIDE_IDENTITY 304
#define VAR_HIDE_VERSION 305
#define VAR_IDENTITY 306
#define VAR_VERSION 307
#define VAR_HARDEN_GLUE 308
#define VAR_MODULE_CONF 309
#define VAR_TRUST_ANCHOR_FILE 310
#define VAR_TRUST_ANCHOR 311
#define VAR_VAL_OVERRIDE_DATE 312
#define VAR_BOGUS_TTL 313
#define VAR_VAL_CLEAN_ADDITIONAL 314
#define VAR_VAL_PERMISSIVE_MODE 315
#define VAR_INCOMING_NUM_TCP 316
#define VAR_MSG_BUFFER_SIZE 317
#define VAR_KEY_CACHE_SIZE 318
#define VAR_KEY_CACHE_SLABS 319
#define VAR_TRUSTED_KEYS_FILE 320
#define VAR_VAL_NSEC3_KEYSIZE_ITERATIONS 321
#define VAR_USE_SYSLOG 322
#define VAR_OUTGOING_INTERFACE 323
#define VAR_ROOT_HINTS 324
#define VAR_DO_NOT_QUERY_LOCALHOST 325
#define VAR_CACHE_MAX_TTL 326
#define VAR_HARDEN_DNSSEC_STRIPPED 327
#define VAR_ACCESS_CONTROL 328
#define VAR_LOCAL_ZONE 329
#define VAR_LOCAL_DATA 330
#define VAR_INTERFACE_AUTOMATIC 331
#define VAR_STATISTICS_INTERVAL 332
#define VAR_DO_DAEMONIZE 333
#define VAR_USE_CAPS_FOR_ID 334
#define VAR_STATISTICS_CUMULATIVE 335
#define VAR_OUTGOING_PORT_PERMIT 336
#define VAR_OUTGOING_PORT_AVOID 337
#define VAR_DLV_ANCHOR_FILE 338
#define VAR_DLV_ANCHOR 339
#define VAR_NEG_CACHE_SIZE 340
#define VAR_HARDEN_REFERRAL_PATH 341
#define VAR_PRIVATE_ADDRESS 342
#define VAR_PRIVATE_DOMAIN 343
#define VAR_REMOTE_CONTROL 344
#define VAR_CONTROL_ENABLE 345
#define VAR_CONTROL_INTERFACE 346
#define VAR_CONTROL_PORT 347
#define VAR_SERVER_KEY_FILE 348
#define VAR_SERVER_CERT_FILE 349
#define VAR_CONTROL_KEY_FILE 350
#define VAR_CONTROL_CERT_FILE 351
#define VAR_CONTROL_USE_CERT 352
#define VAR_EXTENDED_STATISTICS 353
#define VAR_LOCAL_DATA_PTR 354
#define VAR_JOSTLE_TIMEOUT 355
#define VAR_STUB_PRIME 356
#define VAR_UNWANTED_REPLY_THRESHOLD 357
#define VAR_LOG_TIME_ASCII 358
#define VAR_DOMAIN_INSECURE 359
#define VAR_PYTHON 360
#define VAR_PYTHON_SCRIPT 361
#define VAR_VAL_SIG_SKEW_MIN 362
#define VAR_VAL_SIG_SKEW_MAX 363
#define VAR_CACHE_MIN_TTL 364
#define VAR_VAL_LOG_LEVEL 365
#define VAR_AUTO_TRUST_ANCHOR_FILE 366
#define VAR_KEEP_MISSING 367
#define VAR_ADD_HOLDDOWN 368
#define VAR_DEL_HOLDDOWN 369
#define VAR_SO_RCVBUF 370
#define VAR_EDNS_BUFFER_SIZE 371
#define VAR_PREFETCH 372
#define VAR_PREFETCH_KEY 373
#define VAR_SO_SNDBUF 374
#define VAR_SO_REUSEPORT 375
#define VAR_HARDEN_BELOW_NXDOMAIN 376
#define VAR_IGNORE_CD_FLAG 377
#define VAR_LOG_QUERIES 378
#define VAR_TCP_UPSTREAM 379
#define VAR_SSL_UPSTREAM 380
#define VAR_SSL_SERVICE_KEY 381
#define VAR_SSL_SERVICE_PEM 382
#define VAR_SSL_PORT 383
#define VAR_FORWARD_FIRST 384
#define VAR_STUB_FIRST 385
#define VAR_MINIMAL_RESPONSES 386
#define VAR_RRSET_ROUNDROBIN 387
#define VAR_MAX_UDP_SIZE 388
#define VAR_DELAY_CLOSE 389
#define VAR_UNBLOCK_LAN_ZONES 390
#define VAR_INSECURE_LAN_ZONES 391
#define VAR_INFRA_CACHE_MIN_RTT 392
#define VAR_DNS64_PREFIX 393
#define VAR_DNS64_SYNTHALL 394
#define VAR_DNSTAP 395
#define VAR_DNSTAP_ENABLE 396
#define VAR_DNSTAP_SOCKET_PATH 397
#define VAR_DNSTAP_SEND_IDENTITY 398
#define VAR_DNSTAP_SEND_VERSION 399
#define VAR_DNSTAP_IDENTITY 400
#define VAR_DNSTAP_VERSION 401
#define VAR_DNSTAP_LOG_RESOLVER_QUERY_MESSAGES 402
#define VAR_DNSTAP_LOG_RESOLVER_RESPONSE_MESSAGES 403
#define VAR_DNSTAP_LOG_CLIENT_QUERY_MESSAGES 404
#define VAR_DNSTAP_LOG_CLIENT_RESPONSE_MESSAGES 405
#define VAR_DNSTAP_LOG_FORWARDER_QUERY_MESSAGES 406
#define VAR_DNSTAP_LOG_FORWARDER_RESPONSE_MESSAGES 407
#define VAR_HARDEN_ALGO_DOWNGRADE 408
#define VAR_IP_TRANSPARENT 409
#define VAR_RATELIMIT 410
#define VAR_RATELIMIT_SLABS 411
#define VAR_RATELIMIT_SIZE 412
#define VAR_RATELIMIT_FOR_DOMAIN 413
#define VAR_RATELIMIT_BELOW_DOMAIN 414
#define VAR_RATELIMIT_FACTOR 415
#define VAR_CAPS_WHITELIST 416
#define VAR_CACHE_MAX_NEGATIVE_TTL 417
#define VAR_PERMIT_SMALL_HOLDDOWN 418
#define VAR_QNAME_MINIMISATION 419
#ifdef YYSTYPE
#undef  YYSTYPE_IS_DECLARED
#define YYSTYPE_IS_DECLARED 1
#endif
#ifndef YYSTYPE_IS_DECLARED
#define YYSTYPE_IS_DECLARED 1
typedef union {
	char*	str;
} YYSTYPE;
#endif /* !YYSTYPE_IS_DECLARED */
extern YYSTYPE ub_c_lval;
